<?php include 'includes/header.php' ?>

<?php

  $banner_directory = $APP->home_dir . '/' . $APP->banner_location;
  

  if (isset($_POST['submit'])) {
    if (empty($_POST['site_name']) || empty($_POST['site_description']) || empty($_POST['site_email']) || empty($_POST['site_url'])) {
      $error = 'Please complete all fields';
    }
    else if (!isEmail(stripData($_POST['site_email']))) {
      $error = 'Invalid email address';
    }
    

    if (!isset($error)) {
       
      if (is_uploaded_file($_FILES["u_file"]["tmp_name"])) {

        $file_type = $_FILES["u_file"]["type"];
        $file_size = $_FILES["u_file"]["size"];
        $file_name = $_FILES["u_file"]["name"];
        $path_info = pathinfo($_FILES["u_file"]["name"]);
        $file_ext = $path_info["extension"];
        
        // check file type
        if ($file_size > $APP->max_banner_size) {
          $error = 'File exceeds maximum image size - ' . $APP->max_banner_size;
        }
        elseif (!in_array(strtolower($file_type), $APP->accepted_banners)) {
          $error = 'Invalid file upload type - accepted types are:<br /> ' . implode(', ', $APP->accepted_banners);
        }
        else {
          $file_attrs = getImageSize($_FILES["u_file"]["tmp_name"]);
          
          if ($file_attrs[0] > $APP->max_banner_width || $file_attrs[1] > $APP->max_banner_height) {
            $error = 'Banner is larger than ' . $APP->max_banner_width . ' x ' . $APP->max_banner_height . ' pixels';
          }
        }

      }
      else {
        $error = 'Please select your banner';
      }
      if (!isset($error)) {
        $query = "INSERT INTO banner (banner_id,`type`,site_name,site_description,site_email,site_url,date_added) VALUES (";
        $query .= 'NULL' . ',';
        $query .= "'$file_ext'" . ',';
        $query .= "'" . prepareData($_POST['site_name']) . "'" . ',';
        $query .= "'" . prepareData($_POST['site_description']) . "'" . ',';
        $query .= "'" . prepareData($_POST['site_email']) . "'" . ',';
        $query .= "'" . str_replace('http://', '', prepareData($_POST['site_url'])) . "'" . ',';
        $query .= 'CURDATE()';
        $query .= ")";
        
        if (mysql_query($query)) {
          $id = mysql_insert_id();

          if (move_uploaded_file($_FILES["u_file"]["tmp_name"], $banner_directory . '/BANNER' . $id . '.' . $file_ext)) {
            $confirm = 'Thank you for adding your Banner';
            unset($_POST);
          }
          else {
            mysql_query("DELETE FROM banner WHERE banner_id = '$id'");
            $error = 'Cannot move image - please check permissions on banners directory';
          }
        }
      }    
      
    }
  }

  
 
  
?>

  <br />
  <table style="width:732px;border-collapse:collapse" background="images/BG0-1.jpg">
    <tr>
      <td style="height:405px;vertical-align:top"><br>
          <table style="width:732px" >
            <tr>
              <td style="width:43px;vertical-align:top;height:357px" rowspan="2">&nbsp;</td>
              <td style="width:638px;vertical-align:top;height:35px"><br>
                  <br>
              </td>
              <td style="width:51px;vertical-align:top;" rowspan="2">&nbsp;</td>
            </tr>
            <tr>
              <td style="vertical-align:top;font-family:verdana;font-size:10px"><span style="font-weight:bold"><?php echo DOWNLOAD_OUR_BANNER2 ?></span><br>
               <br>
                <a href="banners.php" class="next-back"><?php echo ereg_replace('http://', '', $APP->url) ?>/banners.php</a><br>
                <br>
                <?php if (isset($confirm)) { echo "<table style=\"border-collapse:collapse\"><tr><td class=\"smallprint\" style=\"font-weight:bold\">$confirm</td><tr></table>"; } ?>
                <?php if (isset($error)) { echo "<table style=\"border-collapse:collapse\"><tr><td class=\"smallprint\" style=\"color:#ff0000\">$error</td></tr></table>"; } ?>
                <table width="626">
          <form method="POST" action="<?php echo $_SERVER['PHP_SELF'] ?>" enctype="multipart/form-data">
            <tr>
              <td width="107" class="smallprint"><div align="right"> </div></td>
              <td width="507">
                <input name="u_file" type="file" class="Button">
                <input type="hidden" name="MAX_FILE_SIZE" value="<?php echo $APP->max_banner_size ?>">
              </td>
            </tr>
            <tr>
              <td class="smallprint"><div align="right"><?php echo SITE_NAME ?></div></td>
              <td>
                <input type="text" name="site_name" size="20" maxlength="150" value="<?php if (isset($_POST['site_name'])) { echo htmlChars($_POST['site_name']); } ?>">
              </td>
            </tr>
            <tr>
              <td class="smallprint" valign="top"><div align="right"><?php echo SITE_DESCRIBCION ?></div></td>
              <td>
                <textarea name="site_description" cols="65" rows="3"><?php if (isset($_POST['site_description'])) { echo htmlChars($_POST['site_description']); } ?></textarea>
              </td>
            </tr>
            <tr>
              <td class="smallprint" valign="top"><div align="right"><?php echo SITE_EMAIL ?></div></td>
              <td>
                <input type="text" name="site_email" size="20" maxlength="150" value="<?php if (isset($_POST['site_email'])) { echo htmlChars($_POST['site_email']); } ?>">
              </td>
            </tr>
            <tr>
              <td class="smallprint" valign="top"><div align="right"><?php echo SITE_URL ?></div></td>

              <td class="smallprint"><input type="text" name="site_url" size="20" maxlength="255" value="<?php if (isset($_POST['site_url'])) { echo htmlChars($_POST['site_url']); } ?>">
              </td>
            </tr>
            
            <tr><td><div align="right"></div></td><td><div align="right">
              <input type="Submit" class="Button" name="submit" value="Submit">
            </div></td></tr>
          </form>
        </table>

              </td>
            </tr>
        
        </table></td>
    </tr>
  </table>

<?php include 'includes/footer.php' ?>