<?php include 'includes/header.php' ?>

<?php
  if (isset($_POST['submit'])) {
    if (empty($_POST['first_name']) || empty($_POST['email']) || empty($_POST['comment'])) {
      $error = 'First name, email and comment are required fields';
    }
    if (!isset($error)) {
      if (!isEmail(stripData($_POST['email']))) {
        $error = ERR_INVALID . ' ' . EMAIL;
      }
    }
    if (!isset($error)) {

      // --------- CONSTRUCT EMAIL FOR ADMIN ---------------
      $body = '';
      while (list($key, $value) = each ($_POST)) {
        if ($key != 'submit') {
          $body .= ucwords(str_replace('_', ' ', $key)) . ': ';
          $body .= is_array($value) ? stripData(implode(" ", $value)) . "\r\n" : stripData($value) . "\r\n";
        }
      }
      $fromName = stripData($_POST['first_name']);
      $fromEmail = stripData($_POST['email']);
      $subject = !empty($_POST['topic']) ? stripData($_POST['topic']) : $APP->name . ' ' . CONTACT . ' ' . US; 
      
      // --------- SEND EMAIL TO ADMIN ---------------    
      if (@mail($APP->email, $subject, $body, "From: $fromName <$fromEmail>\r\n" . "Reply-To: <$fromEmail>")) {
 
        // --------- CONSTRUCT AUTO-RESPONSE ---------------
        $body .= YOUR . ' ' . MESSAGE . ': ' . stripData($_POST['comment']) . "\r\n";
        $autoreponse = CONTACT_AUTO_RESPONSE;
        $autoreponse = str_replace("[username]", $fromName, $autoreponse);
        $autoreponse = str_replace("[sitename]", $APP->name, $autoreponse);
        $autoreponse .= "\r\n\r\n\r\n$body";

        // --------- SEND AUTO-RESPONSE ---------------
        @mail($fromEmail, CONTACT_THANKYOU . ' ' . $APP->name, $autoreponse, "From: $APP->name <$APP->email>\r\n" . "Reply-To: <$APP->email>");

        $confirm = CONTACT_THANKYOU . ' ' . $APP->name . '<br />' . CONTACT_COPY;
        unset($_POST);
      }
      else {
        $error = ERR_FAILED_MAIL;
      }

    }
  }

?><br />
  <form method="post" action="<?php echo $_SERVER['PHP_SELF'] ?>">
    <table style="width:732px;border-collapse:collapse" background="images/BG0-1.jpg">
    <tr>
      <td style="vertical-align:top"><br>
          <table style="width:732px" >
            <tr>
              <td style="width:43px;vertical-align:top;height:357px" rowspan="3">&nbsp;</td>
              <td style="width:654px;vertical-align:top;height:1px">&nbsp;</td><br>
                  <br>
              </td>
              <td style="width:35px;vertical-align:top;" rowspan="3">&nbsp;</td>
            </tr>
            <tr>
              <td style="vertical-align:top;font-family:verdana;font-size:10px"><span style="font-weight:bold"><?php echo CONTACT_HEADER ?></span><br>
                    <br>
                <?php echo CONTACT_TEXT ?></td>
            </tr>
            
            <tr>
              <td style="vertical-align:top"> <br>
                <table style="width:651px;border-collapse:collapse">
<tr>
                  <td class="smallprint"><?php echo CONTACT_COMPANY ?></td>
                  <td><input name="company_name" type="text" class="smallprint" value="<?php if (isset($_POST['company_name'])) { echo htmlChars($_POST['company_name']); } ?>"></td>
                  <td colspan="2">&nbsp;</td>
                </tr>
                <tr>
                  <td class="smallprint"><?php echo CONTACT_NAME ?></td>
                  <td><input name="first_name" type="text" class="smallprint" value="<?php if (isset($_POST['first_name'])) { echo htmlChars($_POST['first_name']); } ?>"></td>
                  <td colspan="2"><?php if (isset($error)) { echo "<tr><td class=\"error\" height=\"25\" align=\"center\" colspan=\"4\">$error</td></tr>"; } ?></td>
                </tr>
                <tr>
                  <td class="smallprint"><?php echo CONTACT_TOPIC ?></td>
                  <td><SELECT name=topic class="dropdown7">
                    <?php if (isset($_POST['topic'])) { ?>
                      <option selected value="<?php echo htmlChars($_POST['topic']) ?>"><?php echo htmlChars($_POST['topic']) ?>
                    <?php } ?>
                    <OPTION value="">---</OPTION>
                    <option value="Business Development">Business Development</option>
                    <option value="Marketing &amp; Sales">Marketing &amp; Sales</option>
                    <option value="Site Suggestions">Site Suggestions</option>
                    <option value="Technical Questions">Technical Questions</option>
                                    </SELECT> </td>
                  <td class="smallprint"><?php echo CONTACT_COUNTRY ?></td>
                  <td>
                    <select name="country" class="dropdown7">
                      <?php if (isset($_POST['country'])) { ?>
                        <option selected value="<?php echo $_POST['country'] ?>"><?php echo $_POST['country'] ?>
                      <?php } ?>
                      <OPTION value="">---</OPTION>
                                                    <?php // --------------- COUNTRY OPTIONS --------------------
                    $res = mysql_query("SELECT country_code, country FROM country ORDER BY country");
                    $frow = mysql_fetch_row($res);
                    do {
                      echo '<option value="' . $frow[0] . '">' . $frow[1] . '</option>'; 

                    } while ($frow = mysql_fetch_row($res));
                    // --------------- END COUNTRY OPTIONS --------------------
                ?>
                      </select>
                  </td>
                </tr>
                <tr>
                  <td class="smallprint"><?php echo CONTACT_PHONE ?></td>
                  <td><input name="phone_number" type="text" class="smallprint" value="<?php if (isset($_POST['phone_number'])) { echo htmlChars($_POST['phone_number']); } ?>"></td>
                  <td class="smallprint"><?php echo CONTACT_FAX ?></td>
                  <td><input name="fax_number" type="text" class="smallprint" value="<?php if (isset($_POST['fax_number'])) { echo htmlChars($_POST['fax_number']); } ?>"></td>
                </tr>
                <tr>
                  <td class="smallprint"><?php echo CONTACT_EMAIL ?></td>
                  <td colspan="3"><input name="email" type="text" class="smallprint" value="<?php if (isset($_POST['email'])) { echo htmlChars($_POST['email']); } ?>"></td>
                </tr>
                <tr>
                  <td>&nbsp;</td>
                  <td colspan="3"><?php if (isset($confirm)) { echo "<tr><td class=\"error\" height=\"25\" align=\"center\" colspan=\"4\">$confirm</td><tr>"; } ?></td>
                </tr>
                <tr>
                  <td class="smallprint"><?php echo CONTACT_COMMENT ?></td>
                  <td colspan="3" rowspan="3" valign="top"><table width="462" border="0">
                    <tr>
                      <td width="326"><textarea name="comment" cols="59" rows="6" class="smallprint2"><?php if (isset($_POST['comment'])) { echo htmlChars($_POST['comment']); } ?></textarea></td>
                      <td width="126" valign="bottom"><div align="right">
                        <input type="submit" name="submit" class="Button" value="Submit">
                      </div></td>
                    </tr>
                  </table>                  </td>
                </tr>
                
              </table>                
              </td></tr>
        </table></td>
    </tr>
  </table></form>


<?php include 'includes/footer.php' ?>