<?php 

  require 'mysqlvars.php';
  require 'lib/form_functions.php';
  require 'lib/db.php';
  require 'lib/misc.php';
  require 'lib/stats.php';
  

  $dbConn = connectDB($dbHost, $dbUser, $dbPass, $dbDB);
  if (!$dbConn) {
    die ('Cannot connect to database');
  }

  require 'init.php';

  log_user('');

  
  $language = $APP->default_language;
  if (isset($_COOKIE['language'])) {
    if (!preg_match ("/\\.|\\//",  $_COOKIE['language']) && (file_exists('languages/' . $_COOKIE['language'] . '.php'))) {
      $language = $_COOKIE['language'];
      
    }
  }
  require "languages/$language.php";

  // if cookie present - authenticate
  if (isset($_COOKIE['member'])) {
    if (authCookie($_COOKIE['member'], $APP->key)) {
      // get login details
      $data = unserialize(base64_decode($_COOKIE['member']));
      $username = stripData($data[0]);
      $password = stripData($data[1]);
    }

  }

  unset($error);
  unset($confirm);
  $sent_mail = false;

  

 if (isset($_POST['submit_username']) && !empty($_POST['username'])) {
    
    
      $query = "SELECT username, active, email from member WHERE username = '" . prepareData($_POST['username']) . "'";
      $result = mysql_query($query);
      if ($result) {
        if ($frow = mysql_fetch_row($result)) {
          $username = $frow[0];
          $active = $frow[1];
          $recipient = $frow[2];
          if ($active == 1) {
            $code = 'PD';
            mt_srand((double)microtime()*1000000);
            for ($i = 0; $i < 2; $i++) {
              $code .= chr(mt_rand(97,122));
              $code .= mt_rand(0,9);
              $code .= chr(mt_rand(65,72));
            }
           
            $query = "UPDATE member set code = '$code' WHERE username = '" . prepareData($_POST['username']) . "'";
            
            if (mysql_query($query)) {
              // send out forgotten password mail
              $headers = "From: " . $APP->name. " <" . $APP->email . ">\r\nReply-To: <" . $APP->email . ">";
              $message = PASS_MAIL;
              $message = str_replace("[username]", $username, $message);
              $message = str_replace("[code]", $code, $message);
              $message = str_replace("[sitename]", $APP->name, $message);
              $subject = PASS_MAIL_SUBJ;
              //print $message;
              if (!@mail($recipient, $subject, $message, $headers)) {
                $error = ERR_FAILED_MAIL;
              }
              else {
                $sent_mail = true;
              }
            }
            
            else {
              $error = mysql_error();
            }
          }
          else {
            $error = ERR_ACCOUNT_INACTIVE;
          }
          
        }
        else {
          $error = ERR_INVALID_USERNAME;
        }
      }
      else {
        $error = mysql_error();
      }
          
    
  }
  elseif (isset($_POST['change_pass'])) {
    $sent_mail = true;
    if (isset($_POST['code']) && isset($_POST['new_password']) && isset($_POST['new_password2']) && isset($_POST['username'])) {
      $username = stripData($_POST['username']);
      $code = stripData($_POST['code']);
      $pass = stripData($_POST['new_password']);
      $pass2 = stripData($_POST['new_password2']);

      if (empty($code) || empty($pass) || empty($pass2) || empty($username)) {
        $error = ERR_ALL_REQUIRED;
      }
      elseif ($pass != $pass2) {
        $error = ERR_PASSWORD_MATCH;
      }
      elseif (strlen($pass) < 6) {
        $error = ERR_PASSWORD_LENGTH;
      }
            
          
      // all fields entered/valid so attempt connection
      else {
        $query = "SELECT * from member WHERE (username = '" . addslashes($username) . "' and code = '$code')";
        //print $querystr;
        $result = mysql_query($query);
        if ($result) {
          if (mysql_num_rows($result) == 1) {
            $querystr = "UPDATE member set password = MD5('" . addslashes($pass) . "'), code = NULL WHERE username = '" . addslashes($username) . "'";
            //print $querystr;
            if (mysql_query($querystr,$dbConn)) {
              $confirm = PASS_SUCCESS;
             
            }
            else {
              $error = mysql_error();
            }
          }
          else {
            $error = ERR_INVALID_CODE;
          }
        }
        else {
          $error = mysql_error();
        }
              
      }
    }
  }



?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML><HEAD><TITLE><?php echo $APP->name ?></TITLE>
<META http-equiv=Content-Type content="text/html; charset=iso-8859-1">
<link href="styles/style.css" rel="stylesheet" type="text/css">
<br>
<META content="MSHTML 6.00.2800.1400" name=GENERATOR>
</HEAD>
<BODY background="images/bg_exitpage.gif" text=#000000 bgColor=#ffffff leftMargin=0 topMargin=0 marginheight="0" marginwidth="0">

<TABLE width=87% border=0 align="center" cellPadding=0 cellSpacing=0>
  <TBODY>
    <TR>
      <TD align=left colSpan=2><IMG 
            src="images/<?php echo $language ?>/forgotpass.gif" alt="forgot your password?" width="235" height="23" 
            border=0></TD>
    </TR>
    <!-- START FORGOTTEN PASS FORM -->
  <form method="post" action="<?php echo $_SERVER['PHP_SELF'] ?>">
    <?php if (!isset($confirm)) { ?>
    <tr>
      <td colspan="2" align="left" height="30" valign="top"><input type="hidden" name="language" value="<?php echo $language ?>">
          <?php if (!$sent_mail && !isset($confirm)) {
                    echo ENTER_USERNAME;
                    
                  }
                  elseif (!isset($confirm)) {
                    echo ENTER_PASS_CODE;
                  } ?>
      </td>
    </tr>
    <?php } ?>
    <?php if (isset($confirm) || isset($error)) { ?>
    <tr>
      <td height="20" align="center" colspan="2" valign="top"><?php 
                    if (isset($confirm)) { 
                      echo "<p class=\"bold\" align=\"center\">$confirm</p>"; ?>
          <SCRIPT LANGUAGE="JavaScript">
                      <!--
                        document.write('<tr><td colspan="2" align="center"><input type="button" value="Close" onClick="window.close()"></td></tr>');
                      //-->
                      </SCRIPT>
          <?php
                    }
                    if (isset($error)) { 
                      echo "<p class=\"error\" align=\"center\">" . $error . "</p>";
                    }
                  ?>
      </td>
    </tr>
    <?php } ?>
    <?php if (!$sent_mail && !isset($confirm)) { ?>
    <tr>
      <td width="35%" align="right"><?php echo USERNAME ?>:&nbsp;</td>
      <td width="65%"><input type="text" size="20" maxlength="20" name="username" value="<?php if (isset($_GET['username'])) { echo htmlChars($_GET['username']); } ?>"><input type="submit" name="submit_username" value="<?php echo SUBMIT ?>"></td>
    </tr>
    <tr>
      <td colspan="2" align="center"><div align="right">
          
      </div></td>
    </tr>
    <?php } elseif (!isset($confirm)) { ?>
    <tr>
      <td  align="right"><?php echo USERNAME ?>:&nbsp;</td>
      <td><input type="text" size="20" maxlength="20" name="username" value="<?php if (isset($_POST['username'])) { echo htmlChars($_POST['username']); } ?>"></td>
    </tr>
    <tr>
      <td height="30" valign="middle" align="right"><?php echo CODE ?>:&nbsp;</td>
      <td><input type="text" name="code" size="15" maxlength="8" value="<?php if (isset($_POST['code'])) { echo htmlChars($_POST['code']); } ?>">
      </td>
    </tr>
    <tr>
      <td height="30" valign="middle" align="right"><?php echo PASSWORD ?>:&nbsp;</td>
      <td><input type="password" name="new_password" size="10" maxlength="17" value="<?php if (isset($_POST['password2'])) { echo htmlChars($_POST['password2']); } ?>">
      </td>
    </tr>
    <tr>
      <td height="30" valign="middle" align="right"><?php echo RE_ENTER . ' ' . PASSWORD ?>:&nbsp;</td>
      <td><input type="password" name="new_password2" size="10" maxlength="17" value="<?php if (isset($_POST['password2'])) { echo htmlChars($_POST['password2']); } ?>"><input type="submit" name="change_pass" value="<?php echo SUBMIT ?>">
      </td>
    </tr>
    <tr>
      
    </tr>
    <?php } ?>
  </form>
  <!-- END FORGOTTEN PASS FORM -->
</TABLE>
</BODY></HTML>
