# phpMyAdmin MySQL-Dump
# version 2.5.0-rc1
# http://www.phpmyadmin.net/ (download page)
#
# Host: localhost
# Generation Time: Jul 09, 2005 at 08:30 AM
# Server version: 4.1.12
# PHP Version: 4.3.0
# Database : `datingv1_com`
# --------------------------------------------------------

#
# Table structure for table `admin`
#
# Creation: Jul 09, 2005 at 08:26 AM
# Last update: Jul 09, 2005 at 08:26 AM
#

CREATE TABLE `admin` (
  `username` varchar(20) NOT NULL default '',
  `password` varchar(32) NOT NULL default '',
  `privilege` enum('low','medium','high') NOT NULL default 'low',
  `email` varchar(150) NOT NULL default '',
  `last_logged_in` datetime default NULL,
  PRIMARY KEY  (`username`)
) ;

#
# Dumping data for table `admin`
#

INSERT INTO `admin` VALUES ('ADMIN', '73acd9a5972130b75066c82595a1fae3', 'high', '', '0000-00-00 00:00:00');
# --------------------------------------------------------

#
# Table structure for table `ban`
#
# Creation: Jul 05, 2005 at 11:41 AM
# Last update: Jul 05, 2005 at 11:41 AM
#

CREATE TABLE `ban` (
  `email` varchar(150) NOT NULL default '',
  PRIMARY KEY  (`email`)
) ;

#
# Dumping data for table `ban`
#

# --------------------------------------------------------

#
# Table structure for table `banner`
#
# Creation: Jul 05, 2005 at 11:41 AM
# Last update: Jul 05, 2005 at 11:41 AM
#

CREATE TABLE `banner` (
  `banner_id` int(11) NOT NULL auto_increment,
  `type` varchar(4) NOT NULL default '',
  `site_name` varchar(150) NOT NULL default '',
  `site_description` text NOT NULL,
  `site_email` varchar(150) NOT NULL default '',
  `site_url` tinytext NOT NULL,
  `date_added` date NOT NULL default '0000-00-00',
  PRIMARY KEY  (`banner_id`)
);

#
# Dumping data for table `banner`
#

# --------------------------------------------------------

#
# Table structure for table `block`
#
# Creation: Jul 05, 2005 at 11:41 AM
# Last update: Jul 05, 2005 at 11:41 AM
#

CREATE TABLE `block` (
  `block_id` bigint(20) NOT NULL auto_increment,
  `block` varchar(20) NOT NULL default '',
  `date_added` date NOT NULL default '0000-00-00',
  `username` varchar(20) NOT NULL default '',
  PRIMARY KEY  (`block_id`)
);

#
# Dumping data for table `block`
#

# --------------------------------------------------------

#
# Table structure for table `config`
#
# Creation: Jul 09, 2005 at 08:26 AM
# Last update: Jul 09, 2005 at 08:26 AM
#

CREATE TABLE `config` (
  `config_id` int(1) NOT NULL default '0',
  `licence` varchar(16) default NULL,
  `name` varchar(100) NOT NULL default 'Company Name',
  `url` tinytext NOT NULL,
  `home_dir` tinytext NOT NULL,
  `email` varchar(100) NOT NULL default '',
  `copyright` varchar(100) NOT NULL default 'Company Name',
  `company_address` text NOT NULL,
  `build_year` year(4) NOT NULL default '0000',
  `currency` varchar(20) NOT NULL default 'EUR',
  `country` char(2) default NULL,
  `default_language` varchar(20) NOT NULL default 'English',
  `max_member_image_size` bigint(20) NOT NULL default '2097152',
  `images_per_member` int(2) NOT NULL default '20',
  `member_image_thumb_width` int(2) NOT NULL default '70',
  `member_image_pic_width` int(3) NOT NULL default '134',
  `member_image_full_width` int(3) NOT NULL default '250',
  `max_banner_size` bigint(20) NOT NULL default '100352',
  `max_banner_width` int(3) NOT NULL default '460',
  `max_banner_height` int(2) NOT NULL default '80',
  `trial_period` int(3) NOT NULL default '14',
  `new_member_days` int(3) NOT NULL default '14',
  `invites_free_months` int(1) NOT NULL default '1',
  `invites_friends_per_credit` int(3) NOT NULL default '5',
  `cookie_path` varchar(100) NOT NULL default '/',
  `cookie_exp` int(11) NOT NULL default '2592000',
  `cookie_dom` varchar(100) NOT NULL default '',
  `refresh_rate` int(3) NOT NULL default '60',
  `admin_max_login` int(2) NOT NULL default '10',
  `top_hits` int(2) NOT NULL default '30',
  `keep_stats_for` int(2) NOT NULL default '7',
  `kick_guest_time` int(11) default '10',
  `devil_function` int(1) NOT NULL default '0',
  `background` varchar(50) NOT NULL default '12BG.gif',
  `whois_bar` varchar(50) NOT NULL default '3.gif',
  `window_bar` varchar(50) NOT NULL default 'bar-5-1.gif',
  `sub_monthly_price` decimal(7,2) unsigned NOT NULL default '0.00',
  `sub_yearly_price` decimal(7,2) unsigned NOT NULL default '0.00',
  `logo` varchar(20) default NULL,
  `header_borders` varchar(10) default '#000000',
  `header_font_colour` varchar(10) default '#FFFFFF',
  `header_bg_colour` varchar(10) default '#2865A4',
  `header_bar_colour` varchar(10) default '#73ADD5',
  `header_menu_font_colour` varchar(10) default '#FFFFFF',
  `header_menu_bg_colour` varchar(10) default '#255482',
  `paypal_email` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`config_id`)
) ;

#
# Dumping data for table `config`
#

# --------------------------------------------------------

#
# Table structure for table `country`
#
# Creation: Jul 05, 2005 at 11:41 AM
# Last update: Jul 05, 2005 at 12:06 PM
#

CREATE TABLE `country` (
  `country` varchar(255) NOT NULL default '',
  `country_code` char(2) NOT NULL default '',
  PRIMARY KEY  (`country_code`)
) ;

#
# Dumping data for table `country`
#

INSERT INTO `country` VALUES ('Afghanistan', 'AF');
INSERT INTO `country` VALUES ('Albania', 'AL');
INSERT INTO `country` VALUES ('Algeria', 'DZ');
INSERT INTO `country` VALUES ('American Samoa', 'AS');
INSERT INTO `country` VALUES ('Andorra', 'AD');
INSERT INTO `country` VALUES ('Angola', 'AO');
INSERT INTO `country` VALUES ('Anguilla', 'AI');
INSERT INTO `country` VALUES ('Antarctica', 'AQ');
INSERT INTO `country` VALUES ('Antigua And Barbuda', 'AG');
INSERT INTO `country` VALUES ('Argentina', 'AR');
INSERT INTO `country` VALUES ('Armenia', 'AM');
INSERT INTO `country` VALUES ('Aruba', 'AW');
INSERT INTO `country` VALUES ('Australia', 'AU');
INSERT INTO `country` VALUES ('Austria', 'AT');
INSERT INTO `country` VALUES ('Azerbaijan', 'AZ');
INSERT INTO `country` VALUES ('Bahamas', 'BS');
INSERT INTO `country` VALUES ('Bahrain', 'BH');
INSERT INTO `country` VALUES ('Bangladesh', 'BD');
INSERT INTO `country` VALUES ('Barbados', 'BB');
INSERT INTO `country` VALUES ('Belarus', 'BY');
INSERT INTO `country` VALUES ('Belgium', 'BE');
INSERT INTO `country` VALUES ('Belize', 'BZ');
INSERT INTO `country` VALUES ('Benin', 'BJ');
INSERT INTO `country` VALUES ('Bermuda', 'BM');
INSERT INTO `country` VALUES ('Bhutan', 'BT');
INSERT INTO `country` VALUES ('Bolivia', 'BO');
INSERT INTO `country` VALUES ('Bosnia And Herzegovina', 'BA');
INSERT INTO `country` VALUES ('Botswana', 'BW');
INSERT INTO `country` VALUES ('Bouvet Island', 'BV');
INSERT INTO `country` VALUES ('Brazil', 'BR');
INSERT INTO `country` VALUES ('British Indian Ocean Territory', 'IO');
INSERT INTO `country` VALUES ('Brunei Darussalam', 'BN');
INSERT INTO `country` VALUES ('Bulgaria', 'BG');
INSERT INTO `country` VALUES ('Burkina Faso', 'BF');
INSERT INTO `country` VALUES ('Burundi', 'BI');
INSERT INTO `country` VALUES ('Cambodia', 'KH');
INSERT INTO `country` VALUES ('Cameroon', 'CM');
INSERT INTO `country` VALUES ('Canada', 'CA');
INSERT INTO `country` VALUES ('Cape Verde', 'CV');
INSERT INTO `country` VALUES ('Cayman Islands', 'KY');
INSERT INTO `country` VALUES ('Central African Republic', 'CF');
INSERT INTO `country` VALUES ('Chad', 'TD');
INSERT INTO `country` VALUES ('Chile', 'CL');
INSERT INTO `country` VALUES ('China', 'CN');
INSERT INTO `country` VALUES ('Christmas Island', 'CX');
INSERT INTO `country` VALUES ('Cocos (keeling) Islands', 'CC');
INSERT INTO `country` VALUES ('Colombia', 'CO');
INSERT INTO `country` VALUES ('Comoros', 'KM');
INSERT INTO `country` VALUES ('Congo', 'CG');
INSERT INTO `country` VALUES ('Congo, The Democratic Republic Of The', 'CD');
INSERT INTO `country` VALUES ('Cook Islands', 'CK');
INSERT INTO `country` VALUES ('Costa Rica', 'CR');
INSERT INTO `country` VALUES ('Cote D\'Ivoire', 'CI');
INSERT INTO `country` VALUES ('Croatia', 'HR');
INSERT INTO `country` VALUES ('Cuba', 'CU');
INSERT INTO `country` VALUES ('Cyprus', 'CY');
INSERT INTO `country` VALUES ('Czech Republic', 'CZ');
INSERT INTO `country` VALUES ('Denmark', 'DK');
INSERT INTO `country` VALUES ('Djibouti', 'DJ');
INSERT INTO `country` VALUES ('Dominica', 'DM');
INSERT INTO `country` VALUES ('Dominican Republic', 'DO');
INSERT INTO `country` VALUES ('Ecuador', 'EC');
INSERT INTO `country` VALUES ('Egypt', 'EG');
INSERT INTO `country` VALUES ('El Salvador', 'SV');
INSERT INTO `country` VALUES ('Equatorial Guinea', 'GQ');
INSERT INTO `country` VALUES ('Eritrea', 'ER');
INSERT INTO `country` VALUES ('Estonia', 'EE');
INSERT INTO `country` VALUES ('Ethiopia', 'ET');
INSERT INTO `country` VALUES ('Falkland Islands (malvinas)', 'FK');
INSERT INTO `country` VALUES ('Faroe Islands', 'FO');
INSERT INTO `country` VALUES ('Fiji', 'FJ');
INSERT INTO `country` VALUES ('Finland', 'FI');
INSERT INTO `country` VALUES ('France', 'FR');
INSERT INTO `country` VALUES ('French Guiana', 'GF');
INSERT INTO `country` VALUES ('French Polynesia', 'PF');
INSERT INTO `country` VALUES ('French Southern Territories', 'TF');
INSERT INTO `country` VALUES ('Gabon', 'GA');
INSERT INTO `country` VALUES ('Gambia', 'GM');
INSERT INTO `country` VALUES ('Georgia', 'GE');
INSERT INTO `country` VALUES ('Germany', 'DE');
INSERT INTO `country` VALUES ('Ghana', 'GH');
INSERT INTO `country` VALUES ('Gibraltar', 'GI');
INSERT INTO `country` VALUES ('Greece', 'GR');
INSERT INTO `country` VALUES ('Greenland', 'GL');
INSERT INTO `country` VALUES ('Grenada', 'GD');
INSERT INTO `country` VALUES ('Guadeloupe', 'GP');
INSERT INTO `country` VALUES ('Guam', 'GU');
INSERT INTO `country` VALUES ('Guatemala', 'GT');
INSERT INTO `country` VALUES ('Guinea', 'GN');
INSERT INTO `country` VALUES ('Guinea-bissau', 'GW');
INSERT INTO `country` VALUES ('Guyana', 'GY');
INSERT INTO `country` VALUES ('Haiti', 'HT');
INSERT INTO `country` VALUES ('Heard Island And Mcdonald Islands', 'HM');
INSERT INTO `country` VALUES ('Holy See (vatican City State)', 'VA');
INSERT INTO `country` VALUES ('Honduras', 'HN');
INSERT INTO `country` VALUES ('Hong Kong', 'HK');
INSERT INTO `country` VALUES ('Hungary', 'HU');
INSERT INTO `country` VALUES ('Iceland', 'IS');
INSERT INTO `country` VALUES ('India', 'IN');
INSERT INTO `country` VALUES ('Indonesia', 'ID');
INSERT INTO `country` VALUES ('Iran, Islamic Republic Of', 'IR');
INSERT INTO `country` VALUES ('Iraq', 'IQ');
INSERT INTO `country` VALUES ('Ireland', 'IE');
INSERT INTO `country` VALUES ('Israel', 'IL');
INSERT INTO `country` VALUES ('Italy', 'IT');
INSERT INTO `country` VALUES ('Jamaica', 'JM');
INSERT INTO `country` VALUES ('Japan', 'JP');
INSERT INTO `country` VALUES ('Jordan', 'JO');
INSERT INTO `country` VALUES ('Kazakhstan', 'KZ');
INSERT INTO `country` VALUES ('Kenya', 'KE');
INSERT INTO `country` VALUES ('Kiribati', 'KI');
INSERT INTO `country` VALUES ('Korea, Democratic People\'s Republic of', 'KP');
INSERT INTO `country` VALUES ('Korea, Republic Of', 'KR');
INSERT INTO `country` VALUES ('Kuwait', 'KW');
INSERT INTO `country` VALUES ('Kyrgyzstan', 'KG');
INSERT INTO `country` VALUES ('Lao People\'s Democratic Republic', 'LA');
INSERT INTO `country` VALUES ('Latvia', 'LV');
INSERT INTO `country` VALUES ('Lebanon', 'LB');
INSERT INTO `country` VALUES ('Lesotho', 'LS');
INSERT INTO `country` VALUES ('Liberia', 'LR');
INSERT INTO `country` VALUES ('Libyan Arab Jamahiriya', 'LY');
INSERT INTO `country` VALUES ('Liechtenstein', 'LI');
INSERT INTO `country` VALUES ('Lithuania', 'LT');
INSERT INTO `country` VALUES ('Luxembourg', 'LU');
INSERT INTO `country` VALUES ('Macao', 'MO');
INSERT INTO `country` VALUES ('Macedonia, The Former Yugoslav Republic Of', 'MK');
INSERT INTO `country` VALUES ('Madagascar', 'MG');
INSERT INTO `country` VALUES ('Malawi', 'MW');
INSERT INTO `country` VALUES ('Malaysia', 'MY');
INSERT INTO `country` VALUES ('Maldives', 'MV');
INSERT INTO `country` VALUES ('Mali', 'ML');
INSERT INTO `country` VALUES ('Malta', 'MT');
INSERT INTO `country` VALUES ('Marshall Islands', 'MH');
INSERT INTO `country` VALUES ('Martinique', 'MQ');
INSERT INTO `country` VALUES ('Mauritania', 'MR');
INSERT INTO `country` VALUES ('Mauritius', 'MU');
INSERT INTO `country` VALUES ('Mayotte', 'YT');
INSERT INTO `country` VALUES ('Mexico', 'MX');
INSERT INTO `country` VALUES ('Micronesia, Federated States Of', 'FM');
INSERT INTO `country` VALUES ('Moldova, Republic Of', 'MD');
INSERT INTO `country` VALUES ('Monaco', 'MC');
INSERT INTO `country` VALUES ('Mongolia', 'MN');
INSERT INTO `country` VALUES ('Montserrat', 'MS');
INSERT INTO `country` VALUES ('Morocco', 'MA');
INSERT INTO `country` VALUES ('Mozambique', 'MZ');
INSERT INTO `country` VALUES ('Myanmar', 'MM');
INSERT INTO `country` VALUES ('Namibia', 'NA');
INSERT INTO `country` VALUES ('Nauru', 'NR');
INSERT INTO `country` VALUES ('Nepal', 'NP');
INSERT INTO `country` VALUES ('Netherlands', 'NL');
INSERT INTO `country` VALUES ('Netherlands Antilles', 'AN');
INSERT INTO `country` VALUES ('New Caledonia', 'NC');
INSERT INTO `country` VALUES ('New Zealand', 'NZ');
INSERT INTO `country` VALUES ('Nicaragua', 'NI');
INSERT INTO `country` VALUES ('Niger', 'NE');
INSERT INTO `country` VALUES ('Nigeria', 'NG');
INSERT INTO `country` VALUES ('Niue', 'NU');
INSERT INTO `country` VALUES ('Norfolk Island', 'NF');
INSERT INTO `country` VALUES ('Northern Mariana Islands', 'MP');
INSERT INTO `country` VALUES ('Norway', 'NO');
INSERT INTO `country` VALUES ('Oman', 'OM');
INSERT INTO `country` VALUES ('Pakistan', 'PK');
INSERT INTO `country` VALUES ('Palau', 'PW');
INSERT INTO `country` VALUES ('Palestinian Territory, Occupied', 'PS');
INSERT INTO `country` VALUES ('Panama', 'PA');
INSERT INTO `country` VALUES ('Papua New Guinea', 'PG');
INSERT INTO `country` VALUES ('Paraguay', 'PY');
INSERT INTO `country` VALUES ('Peru', 'PE');
INSERT INTO `country` VALUES ('Philippines', 'PH');
INSERT INTO `country` VALUES ('Pitcairn', 'PN');
INSERT INTO `country` VALUES ('Poland', 'PL');
INSERT INTO `country` VALUES ('Portugal', 'PT');
INSERT INTO `country` VALUES ('Puerto Rico', 'PR');
INSERT INTO `country` VALUES ('Qatar', 'QA');
INSERT INTO `country` VALUES ('Reunion', 'RE');
INSERT INTO `country` VALUES ('Romania', 'RO');
INSERT INTO `country` VALUES ('Russian Federation', 'RU');
INSERT INTO `country` VALUES ('Rwanda', 'RW');
INSERT INTO `country` VALUES ('Saint Helena', 'SH');
INSERT INTO `country` VALUES ('Saint Kitts And Nevis', 'KN');
INSERT INTO `country` VALUES ('Saint Lucia', 'LC');
INSERT INTO `country` VALUES ('Saint Pierre And Miquelon', 'PM');
INSERT INTO `country` VALUES ('Saint Vincent And The Grenadines', 'VC');
INSERT INTO `country` VALUES ('Samoa', 'WS');
INSERT INTO `country` VALUES ('San Marino', 'SM');
INSERT INTO `country` VALUES ('Sao Tome And Principe', 'ST');
INSERT INTO `country` VALUES ('Saudi Arabia', 'SA');
INSERT INTO `country` VALUES ('Senegal', 'SN');
INSERT INTO `country` VALUES ('Serbia And Montenegro', 'CS');
INSERT INTO `country` VALUES ('Seychelles', 'SC');
INSERT INTO `country` VALUES ('Sierra Leone', 'SL');
INSERT INTO `country` VALUES ('Singapore', 'SG');
INSERT INTO `country` VALUES ('Slovakia', 'SK');
INSERT INTO `country` VALUES ('Slovenia', 'SI');
INSERT INTO `country` VALUES ('Solomon Islands', 'SB');
INSERT INTO `country` VALUES ('Somalia', 'SO');
INSERT INTO `country` VALUES ('South Africa', 'ZA');
INSERT INTO `country` VALUES ('South Georgia And The South Sandwich Islands', 'GS');
INSERT INTO `country` VALUES ('Spain', 'ES');
INSERT INTO `country` VALUES ('Sri Lanka', 'LK');
INSERT INTO `country` VALUES ('Sudan', 'SD');
INSERT INTO `country` VALUES ('Suriname', 'SR');
INSERT INTO `country` VALUES ('Svalbard And Jan Mayen', 'SJ');
INSERT INTO `country` VALUES ('Swaziland', 'SZ');
INSERT INTO `country` VALUES ('Sweden', 'SE');
INSERT INTO `country` VALUES ('Switzerland', 'CH');
INSERT INTO `country` VALUES ('Syrian Arab Republic', 'SY');
INSERT INTO `country` VALUES ('Taiwan, Province Of China', 'TW');
INSERT INTO `country` VALUES ('Tajikistan', 'TJ');
INSERT INTO `country` VALUES ('Tanzania, United Republic Of', 'TZ');
INSERT INTO `country` VALUES ('Thailand', 'TH');
INSERT INTO `country` VALUES ('Timor-leste', 'TL');
INSERT INTO `country` VALUES ('Togo', 'TG');
INSERT INTO `country` VALUES ('Tokelau', 'TK');
INSERT INTO `country` VALUES ('Tonga', 'TO');
INSERT INTO `country` VALUES ('Trinidad And Tobago', 'TT');
INSERT INTO `country` VALUES ('Tunisia', 'TN');
INSERT INTO `country` VALUES ('Turkey', 'TR');
INSERT INTO `country` VALUES ('Turkmenistan', 'TM');
INSERT INTO `country` VALUES ('Turks And Caicos Islands', 'TC');
INSERT INTO `country` VALUES ('Tuvalu', 'TV');
INSERT INTO `country` VALUES ('Uganda', 'UG');
INSERT INTO `country` VALUES ('Ukraine', 'UA');
INSERT INTO `country` VALUES ('United Arab Emirates', 'AE');
INSERT INTO `country` VALUES ('United Kingdom', 'GB');
INSERT INTO `country` VALUES ('United States', 'US');
INSERT INTO `country` VALUES ('United States Minor Outlying Islands', 'UM');
INSERT INTO `country` VALUES ('Uruguay', 'UY');
INSERT INTO `country` VALUES ('Uzbekistan', 'UZ');
INSERT INTO `country` VALUES ('Vanuatu', 'VU');
INSERT INTO `country` VALUES ('Venezuela', 'VE');
INSERT INTO `country` VALUES ('Viet Nam', 'VN');
INSERT INTO `country` VALUES ('Virgin Islands, British', 'VG');
INSERT INTO `country` VALUES ('Virgin Islands, U.s.', 'VI');
INSERT INTO `country` VALUES ('Wallis And Futuna', 'WF');
INSERT INTO `country` VALUES ('Western Sahara', 'EH');
INSERT INTO `country` VALUES ('Yemen', 'YE');
INSERT INTO `country` VALUES ('Zambia', 'ZM');
INSERT INTO `country` VALUES ('Zimbabwe', 'ZW');
# --------------------------------------------------------

#
# Table structure for table `email`
#
# Creation: Jul 09, 2005 at 08:27 AM
# Last update: Jul 09, 2005 at 08:27 AM
#

CREATE TABLE `email` (
  `email_id` bigint(20) NOT NULL auto_increment,
  `email` text,
  `from_user` varchar(20) NOT NULL default '',
  `to_user` varchar(20) NOT NULL default '',
  `subject` varchar(100) NOT NULL default '',
  `sent` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`email_id`)
);

#
# Dumping data for table `email`
#

# --------------------------------------------------------

#
# Table structure for table `favourite`
#
# Creation: Jul 05, 2005 at 11:41 AM
# Last update: Jul 05, 2005 at 11:41 AM
#

CREATE TABLE `favourite` (
  `favourite_id` bigint(20) NOT NULL auto_increment,
  `favourite` varchar(20) NOT NULL default '',
  `note` text,
  `date_added` date NOT NULL default '0000-00-00',
  `hot` tinyint(1) default NULL,
  `username` varchar(20) NOT NULL default '',
  `confirmed` int(1) NOT NULL default '0',
  PRIMARY KEY  (`favourite_id`)
);

#
# Dumping data for table `favourite`
#

# --------------------------------------------------------

#
# Table structure for table `forum`
#
# Creation: Jul 05, 2005 at 11:41 AM
# Last update: Jul 05, 2005 at 12:06 PM
#

CREATE TABLE `forum` (
  `forum_id` bigint(20) NOT NULL auto_increment,
  `title` varchar(50) NOT NULL default '',
  `description` text NOT NULL,
  PRIMARY KEY  (`forum_id`)
);

#
# Dumping data for table `forum`
#

INSERT INTO `forum` VALUES (1, 'General', 'Please post all your general messages here. Please note that rude or abusive messages will be removed.');
# --------------------------------------------------------

#
# Table structure for table `guest`
#
# Creation: Jul 09, 2005 at 08:27 AM
# Last update: Jul 09, 2005 at 08:27 AM
#

CREATE TABLE `guest` (
  `guest_id` int(11) NOT NULL auto_increment,
  `logged_on` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`guest_id`)
);

#
# Dumping data for table `guest`
#

# --------------------------------------------------------

#
# Table structure for table `image`
#
# Creation: Jul 05, 2005 at 11:41 AM
# Last update: Jul 05, 2005 at 11:41 AM
#

CREATE TABLE `image` (
  `image_id` bigint(20) NOT NULL auto_increment,
  `username` varchar(20) NOT NULL default '',
  `title` varchar(50) NOT NULL default '',
  `date_added` datetime NOT NULL default '0000-00-00 00:00:00',
  `profile` int(1) NOT NULL default '1',
  PRIMARY KEY  (`image_id`)
);

#
# Dumping data for table `image`
#

# --------------------------------------------------------

#
# Table structure for table `invite`
#
# Creation: Jul 05, 2005 at 11:41 AM
# Last update: Jul 05, 2005 at 11:41 AM
#

CREATE TABLE `invite` (
  `invite_id` bigint(20) NOT NULL auto_increment,
  `email` varchar(150) NOT NULL default '',
  `invited_on` date NOT NULL default '0000-00-00',
  `joined` tinyint(1) NOT NULL default '0',
  `credited` tinyint(1) NOT NULL default '0',
  `invite_message_id` bigint(20) NOT NULL default '0',
  `username` varchar(20) NOT NULL default '',
  PRIMARY KEY  (`invite_id`)
);

#
# Dumping data for table `invite`
#

# --------------------------------------------------------

#
# Table structure for table `invite_message`
#
# Creation: Jul 05, 2005 at 11:41 AM
# Last update: Jul 05, 2005 at 11:41 AM
#

CREATE TABLE `invite_message` (
  `invite_message_id` bigint(20) NOT NULL auto_increment,
  `message` text NOT NULL,
  PRIMARY KEY  (`invite_message_id`)
);

#
# Dumping data for table `invite_message`
#

# --------------------------------------------------------

#
# Table structure for table `mailbox`
#
# Creation: Jul 09, 2005 at 08:27 AM
# Last update: Jul 09, 2005 at 08:27 AM
#

CREATE TABLE `mailbox` (
  `mailbox_id` int(11) NOT NULL auto_increment,
  `auto_respond` tinyint(1) NOT NULL default '0',
  `auto_response` text,
  `block_male` tinyint(1) NOT NULL default '0',
  `block_female` tinyint(1) NOT NULL default '0',
  `block_couple` tinyint(1) NOT NULL default '0',
  `emails_received` int(11) NOT NULL default '0',
  `username` varchar(20) NOT NULL default '',
  PRIMARY KEY  (`mailbox_id`)
);

#
# Dumping data for table `mailbox`
#

# --------------------------------------------------------

#
# Table structure for table `mailbox_folder`
#
# Creation: Jul 09, 2005 at 08:27 AM
# Last update: Jul 09, 2005 at 08:27 AM
#

CREATE TABLE `mailbox_folder` (
  `mailbox_folder_id` int(11) NOT NULL auto_increment,
  `mailbox_folder` varchar(20) NOT NULL default '',
  `mailbox_id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`mailbox_folder_id`)
);

#
# Dumping data for table `mailbox_folder`
#

# --------------------------------------------------------

#
# Table structure for table `mailbox_folder_email`
#
# Creation: Jul 09, 2005 at 08:27 AM
# Last update: Jul 09, 2005 at 08:27 AM
#

CREATE TABLE `mailbox_folder_email` (
  `email_id` int(20) NOT NULL default '0',
  `mailbox_folder_id` int(11) NOT NULL default '0',
  `m_read` tinyint(1) default '0',
  PRIMARY KEY  (`email_id`,`mailbox_folder_id`)
) ;

#
# Dumping data for table `mailbox_folder_email`
#

# --------------------------------------------------------

#
# Table structure for table `member`
#
# Creation: Jul 09, 2005 at 08:27 AM
# Last update: Jul 09, 2005 at 08:27 AM
#

CREATE TABLE `member` (
  `username` varchar(20) NOT NULL default '',
  `password` varchar(32) NOT NULL default '',
  `email` varchar(150) NOT NULL default '',
  `city` varchar(50) NOT NULL default '',
  `state` char(2) default NULL,
  `country` char(2) NOT NULL default '',
  `registered_on` date NOT NULL default '0000-00-00',
  `last_logged_on` datetime default NULL,
  `last_seen` datetime default NULL,
  `active` tinyint(1) NOT NULL default '0',
  `code` varchar(8) default NULL,
  `image_id` bigint(20) default NULL,
  `level` enum('TRIAL','MEMBER','ADMIN') NOT NULL default 'TRIAL',
  `language` varchar(20) NOT NULL default '1',
  `expiry` date default NULL,
  `no_logins` int(11) NOT NULL default '0',
  `activated` int(1) NOT NULL default '0',
  PRIMARY KEY  (`username`)
) ;

#
# Dumping data for table `member`
#

# --------------------------------------------------------

#
# Table structure for table `member_info`
#
# Creation: Jul 09, 2005 at 08:27 AM
# Last update: Jul 09, 2005 at 08:27 AM
#

CREATE TABLE `member_info` (
  `username` varchar(20) NOT NULL default '',
  `first_name` varchar(50) NOT NULL default '',
  `last_name` varchar(50) NOT NULL default '',
  `d_o_b` date default NULL,
  `slogan` varchar(50) default NULL,
  `race` int(2) default NULL,
  `who` int(2) default NULL,
  `seeking` int(2) default NULL,
  `looks` int(2) default NULL,
  `body_type` int(2) default NULL,
  `weight` int(2) default NULL,
  `height` int(2) default NULL,
  `eye_colour` int(2) default NULL,
  `hair_colour` int(2) default NULL,
  `education` int(2) default NULL,
  `occupation` int(2) default NULL,
  `language_1` int(2) default NULL,
  `language_2` int(2) default NULL,
  `language_3` int(2) default NULL,
  `language_level_1` int(2) default NULL,
  `language_level_2` int(2) default NULL,
  `language_level_3` int(2) default NULL,
  `relationship` int(2) default NULL,
  `children` int(2) default NULL,
  `religion` int(2) default NULL,
  `drinker` int(2) default NULL,
  `smoker` int(2) default NULL,
  `personal_ad` text NOT NULL,
  `looking_for` int(2) default NULL,
  `describe_yourself` int(2) default NULL,
  `sense_humour` int(2) default NULL,
  `passionate` int(2) default NULL,
  `romantic` int(2) default NULL,
  `going_out` int(2) default NULL,
  `living_quarters` int(2) default NULL,
  `cooking` int(2) default NULL,
  `trendy` int(2) default NULL,
  `shopping` int(2) default NULL,
  `music` int(2) default NULL,
  `movies` int(2) default NULL,
  `food` int(2) default NULL,
  `indoor_activity` int(2) default NULL,
  `outdoor_activity` int(2) default NULL,
  `time_year` int(2) default NULL,
  `getaway` int(2) default NULL,
  `love_activity` varchar(100) default NULL,
  PRIMARY KEY  (`username`)
) ;

#
# Dumping data for table `member_info`
#

# --------------------------------------------------------

#
# Table structure for table `post`
#
# Creation: Jul 05, 2005 at 11:41 AM
# Last update: Jul 05, 2005 at 11:41 AM
#

CREATE TABLE `post` (
  `post_id` bigint(20) NOT NULL auto_increment,
  `post` text NOT NULL,
  `submitted_on` datetime NOT NULL default '0000-00-00 00:00:00',
  `submitted_by` varchar(20) NOT NULL default '',
  `topic_id` bigint(20) NOT NULL default '0',
  PRIMARY KEY  (`post_id`)
);

#
# Dumping data for table `post`
#

# --------------------------------------------------------

#
# Table structure for table `profile_view`
#
# Creation: Jul 05, 2005 at 11:41 AM
# Last update: Jul 05, 2005 at 11:41 AM
#

CREATE TABLE `profile_view` (
  `profile_view_id` bigint(20) NOT NULL auto_increment,
  `profile` varchar(20) NOT NULL default '',
  `viewer` varchar(20) NOT NULL default '',
  `viewed_on` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`profile_view_id`)
);

#
# Dumping data for table `profile_view`
#

# --------------------------------------------------------

#
# Table structure for table `profile_vote`
#
# Creation: Jul 05, 2005 at 11:41 AM
# Last update: Jul 05, 2005 at 11:41 AM
#

CREATE TABLE `profile_vote` (
  `profile_vote_id` bigint(20) NOT NULL auto_increment,
  `submitted_by` varchar(20) NOT NULL default '',
  `vote` int(1) NOT NULL default '0',
  `submitted_on` date NOT NULL default '0000-00-00',
  `username` varchar(20) NOT NULL default '',
  PRIMARY KEY  (`profile_vote_id`)
);

#
# Dumping data for table `profile_vote`
#

# --------------------------------------------------------

#
# Table structure for table `state`
#
# Creation: Jul 05, 2005 at 11:41 AM
# Last update: Jul 05, 2005 at 12:06 PM
#

CREATE TABLE `state` (
  `state_code` char(2) NOT NULL default '',
  `state` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`state_code`)
) ;

#
# Dumping data for table `state`
#

INSERT INTO `state` VALUES ('AL', 'Alabama');
INSERT INTO `state` VALUES ('AK', 'Alaska');
INSERT INTO `state` VALUES ('AZ', 'Arizona');
INSERT INTO `state` VALUES ('AR', 'Arkansas');
INSERT INTO `state` VALUES ('CA', 'California');
INSERT INTO `state` VALUES ('CO', 'Colorado');
INSERT INTO `state` VALUES ('CT', 'Connecticut');
INSERT INTO `state` VALUES ('DE', 'Delaware');
INSERT INTO `state` VALUES ('DC', 'District of Columbia');
INSERT INTO `state` VALUES ('FL', 'Florida');
INSERT INTO `state` VALUES ('GA', 'Georgia');
INSERT INTO `state` VALUES ('HI', 'Hawaii');
INSERT INTO `state` VALUES ('ID', 'Idaho');
INSERT INTO `state` VALUES ('IL', 'Illinois');
INSERT INTO `state` VALUES ('IN', 'Indiana');
INSERT INTO `state` VALUES ('IA', 'Iowa');
INSERT INTO `state` VALUES ('KS', 'Kansas');
INSERT INTO `state` VALUES ('KY', 'Kentucky');
INSERT INTO `state` VALUES ('LA', 'Louisiana');
INSERT INTO `state` VALUES ('ME', 'Maine');
INSERT INTO `state` VALUES ('MD', 'Maryland');
INSERT INTO `state` VALUES ('MA', 'Massachusetts');
INSERT INTO `state` VALUES ('MI', 'Michigan');
INSERT INTO `state` VALUES ('MN', 'Minnesota');
INSERT INTO `state` VALUES ('MS', 'Mississippi');
INSERT INTO `state` VALUES ('MO', 'Missouri');
INSERT INTO `state` VALUES ('MT', 'Montana');
INSERT INTO `state` VALUES ('NE', 'Nebraska');
INSERT INTO `state` VALUES ('NV', 'Nevada');
INSERT INTO `state` VALUES ('NH', 'New Hampshire');
INSERT INTO `state` VALUES ('NJ', 'New Jersey');
INSERT INTO `state` VALUES ('NM', 'New Mexico');
INSERT INTO `state` VALUES ('NY', 'New York');
INSERT INTO `state` VALUES ('NC', 'North Carolina');
INSERT INTO `state` VALUES ('ND', 'North Dakota');
INSERT INTO `state` VALUES ('OH', 'Ohio');
INSERT INTO `state` VALUES ('OK', 'Oklahoma');
INSERT INTO `state` VALUES ('OR', 'Oregon');
INSERT INTO `state` VALUES ('PA', 'Pennsylvania');
INSERT INTO `state` VALUES ('RI', 'Rhode Island');
INSERT INTO `state` VALUES ('SC', 'South Carolina');
INSERT INTO `state` VALUES ('SD', 'South Dakota');
INSERT INTO `state` VALUES ('TN', 'Tennessee');
INSERT INTO `state` VALUES ('TX', 'Texas');
INSERT INTO `state` VALUES ('UT', 'Utah');
INSERT INTO `state` VALUES ('VT', 'Vermont');
INSERT INTO `state` VALUES ('VA', 'Virginia');
INSERT INTO `state` VALUES ('WA', 'Washington');
INSERT INTO `state` VALUES ('WV', 'West Virginia');
INSERT INTO `state` VALUES ('WI', 'Wisconsin');
INSERT INTO `state` VALUES ('WY', 'Wyoming');
# --------------------------------------------------------

#
# Table structure for table `statistic`
#
# Creation: Jul 09, 2005 at 08:27 AM
# Last update: Jul 09, 2005 at 08:28 AM
#

CREATE TABLE `statistic` (
  `hit_id` int(11) NOT NULL auto_increment,
  `page_visited` varchar(100) NOT NULL default '',
  `date_of_visit` date NOT NULL default '0000-00-00',
  `time_of_visit` time NOT NULL default '00:00:00',
  `referer` varchar(150) default NULL,
  `browser` varchar(100) default NULL,
  `ip` varchar(15) NOT NULL default '',
  `host` varchar(100) NOT NULL default '',
  `username` varchar(100) default NULL,
  PRIMARY KEY  (`hit_id`)
);

#
# Dumping data for table `statistic`
#

# --------------------------------------------------------

#
# Table structure for table `topic`
#
# Creation: Jul 05, 2005 at 11:41 AM
# Last update: Jul 05, 2005 at 11:41 AM
#

CREATE TABLE `topic` (
  `topic_id` bigint(20) NOT NULL auto_increment,
  `title` varchar(50) NOT NULL default '',
  `created_on` datetime NOT NULL default '0000-00-00 00:00:00',
  `started_by` varchar(20) NOT NULL default '',
  `forum_id` bigint(20) NOT NULL default '0',
  PRIMARY KEY  (`topic_id`)
);

#
# Dumping data for table `topic`
#

# --------------------------------------------------------

#
# Table structure for table `transaction`
#
# Creation: Jul 05, 2005 at 11:41 AM
# Last update: Jul 05, 2005 at 11:41 AM
#

CREATE TABLE `transaction` (
  `transaction_id` int(20) NOT NULL auto_increment,
  `transaction_type` varchar(20) NOT NULL default '',
  `payment_method` varchar(30) NOT NULL default '',
  `transaction_ref` varchar(100) default NULL,
  `transaction_date` date NOT NULL default '0000-00-00',
  `transaction_amount` float(6,2) NOT NULL default '0.00',
  `product_id` int(11) default NULL,
  `subscription_id` varchar(20) default NULL,
  `username` varchar(20) NOT NULL default '',
  `additional` varchar(255) default NULL,
  PRIMARY KEY  (`transaction_id`)
);

#
# Dumping data for table `transaction`
#


    