<?php 

  require 'mysqlvars.php';
  require 'lib/form_functions.php';
  require 'lib/db.php';
  require 'lib/misc.php';
  require 'lib/stats.php';
  

  session_cache_limiter('none'); 

  $dbConn = connectDB($dbHost, $dbUser, $dbPass, $dbDB);
  if (!$dbConn) {
    die ('Cannot connect to database');
  }

  require 'init.php';

  log_user('');

  $currYear = date('Y');

  $language = $APP->default_language;
  if (isset($_COOKIE['language'])) {
    if (!preg_match ("/\\.|\\//",  $_COOKIE['language']) && (file_exists('languages/' . $_COOKIE['language'] . '.php'))) {
      $language = $_COOKIE['language'];
      
    }
  }
  require "languages/$language.php";

  // if cookie present - authenticate
  if (isset($_COOKIE['member'])) {
    if (authCookie($_COOKIE['member'], $APP->key)) {
      // get login details
      $data = unserialize(base64_decode($_COOKIE['member']));
      //print_r($data);
      $username = stripData($data[0]);
      $password = stripData($data[1]);
    }

  }

  if (isset($_COOKIE['design'])) {
    if (authCookie($_COOKIE['design'], $APP->key)) {
            $data = unserialize(base64_decode($_COOKIE['design']));
      $background = stripData($data[0]);
      $window_bar = stripData($data[1]);
      $whois_bar = stripData($data[2]);
    }

  }

  unset($error);
  unset($confirm);

  
  $months = array(JANUARY, FEBRUARY, MARCH, APRIL, MAY, JUNE, JULY, AUGUST, SEPTEMBER, OCTOBER, NOVEMBER, DECEMBER);

  if (isset($_POST['subscribe'])) {
    if (!isEmail(stripData($_POST['email']))) {
      $error = INVALID_EMAIL;
    }
    else {
      $query="SELECT * FROM mailing_list WHERE email='" . prepareData($_POST['email']) . "'";
      $result = mysql_query($query);
      if ($row = mysql_fetch_array($result)) {
        $error = SUBSCRIBER_EXISTS;
      }
    }
    if (!isset($error)) {
      $query = "INSERT INTO mailing_list (mailing_list_id,email,date_subscribed) VALUES (";
      $query .= 'NULL' . ',';
      $query .= "'" . prepareData($_POST['email']) . "',CURDATE()";
      $query .= ")";
      if (mysql_query($query,$dbConn)) {
        $confirm = SUBSCRIBE_THANKS;
        unset($_POST);
      }
      else {
         $error = mysql_error();
      }
      
    }
  }

?>


<title><?php echo $APP->name ?></title>
<link href="styles/style.css" rel="stylesheet" type="text/css">
<style type="text/css">
<!--
body {
	background-image: url();
}
.style4 {
	color: #990000;
	font-weight: bold;
}
.style10 {font-weight: bold}
.style9 {font-size: 12px}
-->
</style></head>

<body>
<table width="581" border="0" align="center" cellpadding="0" cellspacing="0">
  <tr>
    <td width="581" valign="top"><p><strong><span class="style10"><span class="style9">Download our Banners </span></span></strong>
      </p>
    </td>
  </tr>
</table>
</body>
</html>
