<?php 

  require 'mysqlvars.php';
  require 'lib/form_functions.php';
  require 'lib/db.php';
  require 'lib/misc.php';
  require 'lib/stats.php';
  
  
  $dbConn = connectDB($dbHost, $dbUser, $dbPass, $dbDB);
  if (!$dbConn) {
    die ('Cannot connect to database');
  }

  require 'init.php';

  log_user('');

  $currYear = date('Y');

  $language = $APP->default_language;
  if (isset($_COOKIE['language'])) {
    if (!preg_match ("/\\.|\\//",  $_COOKIE['language']) && (file_exists('languages/' . $_COOKIE['language'] . '.php'))) {
      $language = $_COOKIE['language'];
      
    }
  }

  require "languages/$language.php";

  // if cookie present - authenticate
  if (isset($_COOKIE['member'])) {
    if (authCookie($_COOKIE['member'], $APP->key)) {
      // get login details
      $data = unserialize(base64_decode($_COOKIE['member']));
      $username = stripData($data[0]);
      $password = stripData($data[1]);
    }

  }

  unset($error);
  unset($msg);

  if (isset($_GET['verify_username'])) {
    if (empty($_GET['user'])) {
      $error = USERNAME . ' ' . ERR_REQUIRED_FIELD;
    }
    else if (strlen(stripData($_GET['user'])) < 5) {
      $error = ERR_USERNAME_LENGTH;      
    }
    else {
    
      $query="SELECT * FROM member WHERE username='" . prepareData($_GET['user']) . "'";
      $result = mysql_query($query);
      if ($row = mysql_fetch_array($result)) {
        $error = ERR_USERNAME_EXISTS;
      }
      else {
        $msg = USERNAME_AVAILABLE . '!';
      }
    }


  }

  else if (isset($_GET['username'])) {
    $msg = SIGNUP_USERNAME;


  }

  else if (isset($_GET['password'])) {
    $msg = SIGNUP_PASSWORD;


  }

  else if (isset($_GET['email'])) {
    $msg = SIGNUP_EMAIL;


  }


  
?>
<html>
<head>
<title><?php echo $APP->name ?></title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="stylesheet" href="./styles/style.css" type="text/css">
</head>
<BODY background="images/bg_exitpage.gif" text=#000000 bgColor=#ffffff leftMargin=0 topMargin=0 marginheight="0" marginwidth="0">
<br>
<table align="center">
  
      <?php if (isset($error)) { 
            echo "<tr><td class=\"smallprint\" style=\"color:#ff0000\" valign=\"middle\" align=\"left\">$error</td></tr>"; 
          }
          if (isset($msg)) { 
            echo "<tr><td class=\"smallprint\" align=\"left\">$msg</td></tr>"; 
          }
          ?>
   
  
  <tr>
    <td><div align="right"><SCRIPT LANGUAGE="JavaScript">
          <!--
            document.write('<tr><td align="center"><input type="button" class="Button" value="Close" onClick="window.close()"></td></tr>');
          //-->
          </SCRIPT></div></td>
  </tr>
</table>
</BODY></HTML>