<?php

  /* Minutedomain Corporation
 * Version: 1.0
 * Date: 8/8/05
 *
 */ 


  require '../lib/form_functions.php';
  require '../lib/db.php';
  require '../mysqlvars.php';
  require '../lib/auth.php';
  require '../lib/misc.php';
  
  require 'includes/session.php';

  
  
  $dbConn = connectDB($dbHost, $dbUser, $dbPass, $dbDB);
  if (!$dbConn) {
    die ('Cannot connect to database');
  }

  //print_r($_SESSION);  
  require 'includes/secure_page.php';

  require '../init.php';

  require '../languages/' . $_SESSION['language'] . '.php';
  require '../languages/member_info_' . $_SESSION['language'] . '.php';
  require '../includes/member_info.php';


  updateLastSeen();

  if (isset($_COOKIE['design'])) {
    if (authCookie($_COOKIE['design'], $APP->key)) {
      $data = unserialize(base64_decode($_COOKIE['design']));
      $background = stripData($data[0]);
      $window_bar = stripData($data[1]);
      $whois_bar = stripData($data[2]);
    }

  }

  if (isset($_SESSION['guest'])) {
    header("Location: no_access.php");
    exit();
  }

  if (!isset($_GET['username']) && !isset($_POST['username'])) {
    die ('Illegal navigation');
  }
  else {
    $username = isset($_GET['username']) ? stripData($_GET['username']) : stripData($_POST['username']);
  }

  $slogan = '';
  $found = false;
  unset($error);
  unset($vote_error);
  unset($confirm);
  $no_votes = 0;
  $avg_vote = 0;
  $vote_image = 0;

  $image_directory = $APP->home_dir . '/' . $APP->member_image_location;
  $image_url = $APP->url . '/' . $APP->member_image_location;

  if ($username != $_SESSION['user_id']) {
    mysql_query("INSERT INTO profile_view VALUES(null, '" . addslashes($username) . "','" . addslashes($_SESSION['user_id']) . "',NOW())");
  }

  
  if (isset($_POST['submit_vote'])) {
    if (!isset($_POST['vote'])) {
      $vote_error = 'Please select your vote';
    }
    // has this user voted for this profile before
    else {
      $querystr = "SELECT DATE_FORMAT(submitted_on, '%M %d %Y') as submitted_on FROM profile_vote WHERE submitted_by = '" . addslashes($_SESSION['user_id']) . "' and username = '" . addslashes($username) . "'";
      $result = mysql_query($querystr);
      if ($result) {
        if ($frow = mysql_fetch_row($result)) {
          $vote_error = 'You already voted for this profile on ' . $frow[0];
        }
      }

    }
    if (!isset($vote_error)) {
      $query = "INSERT INTO profile_vote (submitted_by,vote,submitted_on,username) VALUES (";
      $query .= "'" . addslashes($_SESSION['user_id']) . "'" . ',';
      $query .= $_POST['vote'];
      $query .= ",";
      $query .= 'CURDATE()' . ',';
      $query .= "'" . addslashes($username) . "'";
      $query .= ")";
      if (mysql_query($query,$dbConn)) {
        $confirm = 'Your vote has been registered';
        unset($_POST);
      }
      else {
         $vote_error = mysql_error();
      }
      
    }
  }


  // get vote info for this user
  $querystr = "SELECT FORMAT(COUNT(*), 0), FORMAT(AVG(vote), 2), FLOOR(AVG(vote)) FROM profile_vote WHERE username = '" . addslashes($username) . "'";
  $result = mysql_query($querystr);
  if ($result) {
    if ($frow = mysql_fetch_row($result)) {
      $no_votes = $frow[0];
      $avg_vote = !empty($frow[1]) ? $frow[1] : 0;
      $vote_image = !empty($frow[2]) ? $frow[2] : 0;
    }
  }
  

  

      
  $query = "SELECT image_id, city, state.state,country.country, country_code, DATE_FORMAT(registered_on, '%M %d %Y') as registered_on, DATE_FORMAT(last_logged_on, '%M %d %Y %H:%i') as last_logged_on, first_name, last_name, DATE_FORMAT(d_o_b, '%M %d %Y') as d_o_b, slogan, race, who, seeking, looks, body_type, weight, height, eye_colour, hair_colour, education, occupation, language_1, language_2, language_3, language_level_1, language_level_2, language_level_3, relationship, children, religion, drinker, smoker, personal_ad, looking_for, unix_timestamp() - unix_timestamp(last_seen) <= $APP->refresh_rate as online, describe_yourself, sense_humour, passionate, romantic, going_out, living_quarters, cooking, trendy, shopping, music, movies, food, indoor_activity, outdoor_activity, time_year, getaway, love_activity FROM member LEFT JOIN country ON member.country = country.country_code left join state on (member.state = state.state-code) left join member_info on member.username = member_info.username 
   WHERE member.username = '" . addslashes($username) . "'";
  //print $query;
  $result = mysql_query($query, $dbConn);
  if ($result) {
    if ($frow = mysql_fetch_array($result)) {
      $found = true;
      $image_id = $frow['image_id'];
      $city = $frow['city'];
      $state = $frow['state'];
      $country = $frow['country'];      
      $registered_on = $frow['registered_on'];
      $last_logged_on = $frow['last_logged_on'];      
           
      $first_name = $frow['first_name'];
      $last_name = $frow['last_name'];
      $d_o_b = $frow['d_o_b'];
      $slogan = $frow['slogan'];
      $race = $frow['race'];
      $whoo = $frow['who'];
      $seeking = $frow['seeking'];
      $looks = $frow['looks'];
      $body_type = $frow['body_type'];
      $weight = $frow['weight'];
      $height = $frow['height'];
      $eye_colour = $frow['eye_colour'];
      $hair_colour = $frow['hair_colour'];
      $education = $frow['education'];
      $occupation = $frow['occupation'];
      $language_1 = $frow['language_1'];
      $language_2 = $frow['language_2'];
      $language_3 = $frow['language_3'];
      $language_level_1 = $frow['language_level_1'];
      $language_level_2 = $frow['language_level_2'];
      $language_level_3 = $frow['language_level_3'];
      $relationship = $frow['relationship'];
      $children = $frow['children'];
      $religion = $frow['religion'];
      $drinker = $frow['drinker'];
      $smoker = $frow['smoker'];
      $personal_ad = $frow['personal_ad'];
      $looking_for = $frow['looking_for'];
      
      $describe_yourself = $frow['describe_yourself'];
      $sense_humour = $frow['sense_humour'];
      $passionate = $frow['passionate'];
      $romantic = $frow['romantic'];
      $going_out = $frow['going_out'];
      $living_quarters = $frow['living_quarters'];
      $cooking = $frow['cooking'];
      $trendy = $frow['trendy'];
      $shopping = $frow['shopping'];
      $music = $frow['music'];
      $movies = $frow['movies'];
      $food = $frow['food'];
      $indoor_activity = $frow['indoor_activity'];
      $outdoor_activity = $frow['outdoor_activity'];
      $time_year = $frow['time_year'];
      $getaway = $frow['getaway'];
      $online = $frow['online'];
      $love_activity = !empty($frow['love_activity']) ? explode(',', $frow['love_activity']) : '';

    }
    else {
      $error = 'Record not found';
    }
  }
  else {
    $error = mysql_error();
  }
  
  
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
<HEAD>
<TITLE><?php echo $APP->name ?></TITLE>
<link href="../styles/style.css" rel="stylesheet" type="text/css">
<?php include '../includes/dynamic_background.php' ?>
<style type="text/css">
<!--
.style3 {color: #FFFFFF}
td { FONT-SIZE: 7.5pt; FONT-FAMILY: verdana,geneva,arial,helvetica,sans-serif }
-->
</style>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<script language="JavaScript" type="text/JavaScript">
<!--
function MM_reloadPage(init) {  //reloads the window if Nav4 resized
  if (init==true) with (navigator) {if ((appName=="Netscape")&&(parseInt(appVersion)==4)) {
    document.MM_pgW=innerWidth; document.MM_pgH=innerHeight; onresize=MM_reloadPage; }}
  else if (innerWidth!=document.MM_pgW || innerHeight!=document.MM_pgH) location.reload();
}
MM_reloadPage(true);
//-->
</script>
<SCRIPT LANGUAGE="JavaScript" TYPE="text/javascript">
<!--
function popitup(url, name)
{
	newwindow=window.open(url, name,'height=493,width=400');
	if (window.focus) {newwindow.focus()}
	return false;
}

// -->
</SCRIPT>

</HEAD>
<BODY leftMargin=0 topMargin=0 MARGINWIDTH="0" MARGINHEIGHT="0">
<table border="0" align="center" cellpadding="0" cellspacing="1" bgcolor="#000000">
  <tr>
    <td><table border="0" bgcolor="#FFFFFF">
        <tr>
          <td width="715" valign="top"><br>
                <table width="686" border="0" align="center" cellpadding="0" cellspacing="0">
                  <tr>
                    <td width="529"><table width="515" border="0" cellpadding="0" cellspacing="0">
                      <tr>
                        <td width="17"><img src="../images/Windows_bars/<?php echo $window_bar ?>" width="17" height="18"></td>
                        <td width="*" background="../images/Windows_bars/<?php echo str_replace('-1.', '-2.', $window_bar) ?>" class="style3"> &nbsp;&nbsp;<?php echo SLOGAN ?> : <span><?php echo !empty($slogan) ? $slogan : '' ?></span></td>
                        <!--<td width="226" background="../images/Windows_bars/<?php echo str_replace('-1.', '-2.', $window_bar) ?>" class="style3">&nbsp;</td>-->
                        <td width="11" background="../images/Windows_bars/<?php echo str_replace('-1.', '-2.', $window_bar) ?>"><div align="right"><img src="../images/Windows_bars/<?php echo str_replace('-1.', '-3.', $window_bar) ?>" width="4" height="18"></div></td>
                      </tr>
                    </table></td>
                    <td width="157"><table width="153" border="0" cellpadding="0" cellspacing="0">
                      <tr>
                        <td width="17"><img src="../images/Windows_bars/<?php echo $window_bar ?>" width="17" height="18"></td>
                        <td width="121" background="../images/Windows_bars/<?php echo str_replace('-1.', '-2.', $window_bar) ?>" class="style3"> &nbsp;&nbsp;<span><?php echo DATING_TOOLS ?></span></td>
                        <td width="15" background="../images/Windows_bars/<?php echo str_replace('-1.', '-2.', $window_bar) ?>"><div align="right"><img src="../images/Windows_bars/<?php echo str_replace('-1.', '-3.', $window_bar) ?>" width="4" height="18"></div></td>
                      </tr>
                    </table></td>
                  </tr>
                  <?php if ($found) { ?>
                  <tr>
                    <td valign="top"><table width="515" border="0" cellpadding="0" cellspacing="0">
                      <tr>
                        <td width="171" rowspan="2" valign="top" class="smallprint"><div align="center"><br>
                          <br>
                          <?php $pic = false;
                                  if (!empty($image_id)) {
                                    if (file_exists($image_directory . "/PIC" . $image_id . '.jpg')) {
                                      echo '<a href="view_photos.php?username=' . $username . '"><img src="' . $image_url . "/PIC" . $image_id . '.jpg" border="1" width="' . $APP->member_image_pic_width . '" border="0"></a>';

                                      if (file_exists($image_directory . "/FULL" . $image_id . '.jpg')) { ?>
                                      <br /><br /></a>
                                      <?php }
                                      $pic = true;
                                    }
                                    
                                  } 
                                  if (!$pic) {
                                    if ($whoo == 1) { ?>
                                                <img src="../images/<?php echo $_SESSION['language'] ?>/female.gif" alt="female">
                                                <?php } else if ($whoo == 3) {  ?>
                                                <img src="../images/<?php echo $_SESSION['language'] ?>/male.gif" alt="male">
                                                <?php } else { ?>
                                                <img src="../images/<?php echo $_SESSION['language'] ?>/couple.gif" alt="couples">
                                                <?php }
                                    
               
                                  } ?>
                                <br />
                                <br />

                                  
                                    Average Score: <b><?php echo $avg_vote ?></b><br />
                                    Votes: <b><?php echo $no_votes ?></b><br />
                                    <img src="../images/icons/<?php echo $vote_image ?>star.gif" width="63" height="18"><br /><br />
                                  
                                  
                                        

                        </td>
                        <td width="344" valign="top" style="color:#ff0000">&nbsp;</td>
                      </tr>
                      <tr>
                        <td height="164" valign="top"><br>                          <table cellpadding="0" cellspacing="0">
                          <tr>
                            <td width="96" style="font-weight:bold" ><div align="left"><?php echo USERNAME ?>:</div></td>
                            <td width="234"><?php echo $username ?></td>
                          </tr>
                          <tr>
                            <td><div align="left"></div></td>
                            <td>&nbsp;</td>
                          </tr>
                          <tr>
                            <td style="font-weight:bold"><?php echo LOOK_FOR ?>:</td>
                            <td><?php echo $looking_for > 0 ? $opts_looking_for[$looking_for] : 'Unknown'  ?></td>
                          </tr>
                          <tr>
                            <td><div align="left"></div></td>
                            <td>&nbsp;</td>
                          </tr>
                          <tr>
                            <td style="font-weight:bold"><?php echo COUNTRIES ?>:</td>
                            <td><?php echo $country ?></td>
                          </tr>
                          <tr>
                            <td><div align="left"></div></td>
                            <td>&nbsp;</td>
                          </tr>
                          <tr>
                            <td style="font-weight:bold"><?php echo CITY ?>:</td>
                            <td><?php echo $city ?></td>
                          </tr>
                          <?php if ($country == 'US') { ?>
                          <tr>
                            <td style="font-weight:bold"><?php echo US_STATE ?>:</td>
                            <td><?php echo $state ?>
                                <?php } ?></td>
                          </tr>
                          <tr>
                            <td><div align="left"></div></td>
                            <td>&nbsp;</td>
                          </tr>
                          
                          <SCRIPT LANGUAGE="JavaScript">
                                                  <!--
                
                                                    document.write('<tr><td>&nbsp;</td><td><br /><a class="text" style="font-weight:bold" href="javascript:history.back()"><?php echo BACK_TO_PREVIOUS ?></a></td></tr>');
                                                    
                                                 //-->
                                                 </SCRIPT>  
                        </table></td>
                      </tr>
                    </table></td>
                    <td valign="top"><br>
                      <br>
                      <table border="0" cellspacing="0">
                        <tr>
                          <td width="33" valign="middle"><a href="mail.php?action=WRITE&to_user=<?php echo urlencode($username) ?>"><img src="../images/pro0.gif" width="26" height="26" border="0"></a>&nbsp;</td>
                          <td width="118" valign="middle"><a class="text" href="mail.php?action=WRITE&to_user=<?php echo urlencode($username) ?>"><?php echo EMAIL_THIS_MEMBER ?></a></td>
                        </tr>
                        <?php if ($online == 1) { ?>
                        <tr>
                          <td valign="middle">



<a href="#" onClick="return popitup('http://www.angelsdating.com/members/vapps/VideoChat/sendim2.php?uID=<?php echo urlencode($_SESSION['user_id']) ?>&sender=<?php echo urlencode($_SESSION['user_id']) ?>&receiver=<?php echo urlencode($username) ?>', '<?php echo urlencode($username) ?>')"><img src="../images/pro3.gif" width="26" height="26" border="0"></a>
</td>
                          <td valign="middle"><a class="text" href="#" onClick="return popitup('http://www.angelsdating.com/members/vapps/VideoChat/sendim2.php?uID=<?php echo urlencode($_SESSION['user_id']) ?>&sender=<?php echo urlencode($_SESSION['user_id']) ?>&receiver=<?php echo urlencode($username) ?>')">Chat now</a> </td>
                        </tr>
                        <?php } ?>
                        <tr>
                          <td valign="middle"><a href="favorites.php?add=true&username=<?php echo urlencode($username) ?>"><img src="../images/pro1.gif" width="26" height="26" border="0"></a>&nbsp;</td>
                          <td valign="middle"><a class="text" href="favorites.php?add=true&username=<?php echo urlencode($username) ?>"><?php echo ADD_TO_A_FRIEND ?></a></td>
                        </tr>
                        
                        <tr>
                          <td valign="middle"><a href="blocklist.php?add=true&username=<?php echo urlencode($username) ?>"><img src="../images/pro4.gif" width="26" height="26" border="0"></a></td>
                          <td valign="middle"><a class="text" href="blocklist.php?add=true&username=<?php echo urlencode($username) ?>"><?php echo BLOCK_USER ?></a></td>
                        </tr>
                        <tr>
                          <td valign="middle">&nbsp;</td>
                          <td valign="middle">&nbsp;</td>
                        </tr>
                        <tr>
                          <td valign="middle">&nbsp;</td>
                          <td valign="middle">&nbsp;</td>
                        </tr>
                      </table>
                    </td>
                  </tr>
                  <tr>
                    <td colspan="2" valign="top"><table width="653" border="0" align="center" cellpadding="0" cellspacing="0">
                      <tr>
                        <td colspan="2"><table width="686" border="0" cellpadding="0" cellspacing="0">
                            <tr>
                              <td width="17"><img src="../images/Windows_bars/<?php echo $window_bar ?>" width="17" height="18"></td>
                              <td width="*" background="../images/Windows_bars/<?php echo str_replace('-1.', '-2.', $window_bar) ?>" class="style3"> &nbsp;&nbsp;<span><?php echo PERSONAL_ADD ?></span></td>
                              <td width="11" background="../images/Windows_bars/<?php echo str_replace('-1.', '-2.', $window_bar) ?>"><div align="right"><img src="../images/Windows_bars/<?php echo str_replace('-1.', '-3.', $window_bar) ?>" width="4" height="18"></div></td>
                            </tr>
                        </table></td>
                      </tr>
                      <tr>
                        <td colspan="2">&nbsp;</td>
                      </tr>
                      <tr>
                        <td colspan="2"><table width="661" border="0" align="center" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF">
                          <tr>
                            <td width="660"><span><?php echo !empty($personal_ad) ? nl2br($personal_ad) : '' ?></span></td>
                          </tr>
                          <tr>
                            <td>&nbsp;</td>
                          </tr>
                          <tr>
                            <td>&nbsp;</td>
                          </tr>
                        </table></td>
                      </tr>
                      <tr>
                        <td colspan="2"><table width="686" border="0" cellpadding="0" cellspacing="0">
                            <tr>
                              <td width="17"><img src="../images/Windows_bars/<?php echo $window_bar ?>" width="17" height="18"></td>
                              <td width="460" background="../images/Windows_bars/<?php echo str_replace('-1.', '-2.', $window_bar) ?>" class="style3"> &nbsp;&nbsp;<span><?php echo MEMBERS_DETAILS ?></span></td>
                              <td width="198" background="../images/Windows_bars/<?php echo str_replace('-1.', '-2.', $window_bar) ?>" class="style3">&nbsp; </td>
                              <td width="11" background="../images/Windows_bars/<?php echo str_replace('-1.', '-2.', $window_bar) ?>"><div align="right"><img src="../images/Windows_bars/<?php echo str_replace('-1.', '-3.', $window_bar) ?>" width="4" height="18"></div></td>
                            </tr>
                        </table></td>
                      </tr>
                      
                      <tr valign="middle">
                        <td height="10" colspan="2"><br>
                          <?php if ($_SESSION['user_id'] != $username) { ?>
                          <table width="666" border="0" align="center" cellspacing="0" bgcolor="#000000">
                            <tr>
                              <td><table width="674" border="0" cellspacing="1" bgcolor="#FFFFFF">
                                  
                                  <form method="post" action="<?php echo $_SERVER['PHP_SELF'] ?>">
                                  
                                  <tr>
                                    <td colspan="10">
                                      <div align="left">&nbsp;&nbsp;<strong><?php echo VOTE_ME ?></strong></div></td>
                                    <td width="155" rowspan="3" valign="bottom"><input name="submit_vote" type="submit" class="Button" value="Cast My Profile Vote "><input type="hidden" name="username" value="<?php echo $username ?>"></td>
                                  </tr>
                                  <?php if (isset($vote_error)) { ?>
                                  <tr>
                                    <td>&nbsp;</td>
                                    <td colspan="10" align="left" style="color:#ff0000">
                                      <?php echo $vote_error ?>
                                      
                                    </td>
                                  </tr>
                                  <?php } ?>
                                  <?php if (isset($confirm)) { ?>
                                  <tr>
                                    <td>&nbsp;</td>
                                    <td colspan="10" align="left" style="font-weight:bold">
                                      <?php echo $confirm ?>
                                      
                                    </td>
                                  </tr>
                                  <?php } ?>
                                  <tr>
                                    <td width="36"><div align="center">
                                        <input name="vote" type="radio" value="5">
                                    </div></td>
                                    <td width="64"><img src="../images/icons/5star.gif" width="63" height="17"></td>
                                    <td width="20"><div align="center">
                                        <input name="vote" type="radio" value="4">
                                    </div></td>
                                    <td width="70"><img src="../images/icons/4star.gif" width="63" height="17"></td>
                                    <td width="20"><div align="center">
                                        <input name="vote" type="radio" value="3">
                                    </div></td>
                                    <td width="70"><img src="../images/icons/3star.gif" width="63" height="18"></td>
                                    <td width="20"><input name="vote" type="radio" value="2"></td>
                                    <td width="77"><img src="../images/icons/2star.gif" width="63" height="18"></td>
                                    <td width="20"><input name="vote" type="radio" value="1"></td>
                                    <td width="88"><img src="../images/icons/1star.gif" width="63" height="18"></td>
                                  </tr>
                                  </form>
                                  
                                  
                              </table></td>
                            </tr>
                          </table>
                          <table width="664" border="0" align="center" cellpadding="0" cellspacing="0">
                            <tr>
                              <td>&nbsp;</td>
                            </tr>
                          </table><?php } ?></td>
                      </tr>
                      
                      <tr>
                        <td width="358" valign="top"><table border="0" align="center" cellpadding="0" cellspacing="1" bgcolor="#000000">
                          <tr>
                            <td><table width="345" border="0" cellpadding="0" cellspacing="2" bgcolor="#FFFFFF">
                              <tr>
                                <td bgcolor="#FFFFFF"><div align="right"><strong><?php echo STATUS ?>:</strong></div></td>
                                <td><div align="center"><img src="../images/icons/profile.gif" width="19" height="17"></div></td>
                                <td bgcolor="#FFFFFF"><?php 
                  echo $whoo > 0 ? $opts_group[$whoo] : ucfirst(SOMEONE);
                  echo ' ' . SEEKING . ' ';
                  echo $seeking > 0 ? $opts_group[$seeking] : SOMEONE; ?></td>
                              </tr>
                              <tr>
                                <td colspan="3"><div align="center"></div></td>
                              </tr>
                                <tr>
                                  <td width="99" bgcolor="#FFFFFF"><div align="right"><strong><?php echo LOOKS ?>:</strong></div></td>
                                  <td width="28"><div align="center"><img src="../images/icons/profile.gif" width="19" height="17"></div></td>
                                  <td width="210" bgcolor="#FFFFFF"><?php echo $looks > 0 ? $opts_looks[$looks] : 'Unknown' ?></td>
                                </tr>
                                <tr>
                                  <td colspan="3"><div align="center"></div></td>
                                </tr>
                                <tr>
                                  <td bgcolor="#FFFFFF"><div align="right"><strong><?php echo PERSONAL_DESCRIBE ?>:</strong></div></td>
                                  <td><div align="center"><img src="../images/icons/profile.gif" width="19" height="17"></div></td>
                                  <td bgcolor="#FFFFFF"><?php echo $describe_yourself > 0 ? $opts_describe_yourself[$describe_yourself] : 'Unknown' ?></td>
                                </tr>
                                <tr>
                                  <td colspan="3"><div align="center"></div></td>
                                </tr>
                                <tr>
                                  <td><div align="right"><strong><?php echo CURRENT_RELATIONSHIP ?>:</strong></div></td>
                                  <td><div align="center"><img src="../images/icons/profile.gif" width="19" height="17"></div></td>
                                  <td><?php echo $relationship > 0 ? $opts_relationship[$relationship] : 'Unknown' ?></td>
                                </tr>
                                <tr>
                                  <td colspan="3"><div align="center"></div></td>
                                </tr>
                                <tr>
                                  <td><div align="right"><span class="style2">&nbsp;<?php echo REGISTERED_ON ?></span><strong>:</strong></div></td>
                                  <td><div align="center"><img src="../images/icons/profile.gif" width="19" height="17"></div></td>
                                  <td><?php echo $registered_on ?> </td>
                                </tr>
                                <tr>
                                  <td colspan="3"><div align="center"></div></td>
                                </tr>
                                <tr>
                                  <td><div align="right"><span>&nbsp;<strong><?php echo LAST_LOGGED_ON ?></strong></span><strong>:</strong></div></td>
                                  <td><div align="center"><img src="../images/icons/profile.gif" width="19" height="17"></div></td>
                                  <td><?php echo $last_logged_on ?> </td>
                                </tr>
                                <tr>
                                  <td colspan="3"><div align="center"></div></td>
                                </tr>
                                <tr>
                                  <td bgcolor="#FFFFFF"><div align="right"><strong><?php echo DATE_OF_BIRTH ?>:</strong></div></td>
                                  <td><div align="center"><img src="../images/icons/profile.gif" width="19" height="17"></div></td>
                                  <td bgcolor="#FFFFFF"><?php echo !empty($d_o_b) ? $d_o_b : 'Unknown' ?></td>
                                </tr>
                                <tr>
                                  <td colspan="3"><div align="center"></div></td>
                                </tr>
                                <tr>
                                  <td bgcolor="#FFFFFF"><div align="right"><strong><?php echo ETHNICITY ?>:</strong></div></td>
                                  <td><div align="center"><img src="../images/icons/profile.gif" width="19" height="17"></div></td>
                                  <td bgcolor="#FFFFFF"><?php echo $race > 0 ? $opts_race[$race] : 'Unknown' ?></td>
                                </tr>
                                <tr>
                                  <td colspan="3"><div align="center"></div></td>
                                </tr>
                                <tr>
                                  <td bgcolor="#FFFFFF"><div align="right"><strong><?php echo RELIGION ?>:</strong></div></td>
                                  <td><div align="center"><img src="../images/icons/profile.gif" width="19" height="17"></div></td>
                                  <td bgcolor="#FFFFFF"><?php echo $religion > 0 ? $opts_religion[$religion] : 'Unknown' ?></td>
                                </tr>
                                <tr>
                                  <td colspan="3"><div align="center"></div></td>
                                </tr>
                                <tr>
                                  <td colspan="3"><div align="center"></div></td>
                                </tr>
                                <tr>
                                  <td colspan="3"><div align="center"></div></td>
                                </tr>
                                <tr>
                                  <td bgcolor="#FFFFFF"><div align="right"><strong><?php echo BODY_TYPE ?>:</strong></div></td>
                                  <td><div align="center"><img src="../images/icons/profile.gif" width="19" height="17"></div></td>
                                  <td bgcolor="#FFFFFF"><?php echo $body_type > 0 ? $opts_body_type[$body_type] : 'Unknown' ?></td>
                                </tr>
                                <tr>
                                  <td colspan="3"><div align="center"></div></td>
                                </tr>
                                <tr>
                                  <td bgcolor="#FFFFFF"><div align="right"><strong><?php echo WEIGHT ?>:</strong></div></td>
                                  <td><div align="center"><img src="../images/icons/profile.gif" width="19" height="17"></div></td>
                                  <td bgcolor="#FFFFFF"><?php echo $weight > 0 ? $opts_weight[$weight] : 'Unknown' ?></td>
                                </tr>
                                <tr>
                                  <td colspan="3"><div align="center"></div></td>
                                </tr>
                                <tr>
                                  <td bgcolor="#FFFFFF"><div align="right"><strong><?php echo HEIGHT ?>:</strong></div></td>
                                  <td><div align="center"><img src="../images/icons/profile.gif" width="19" height="17"></div></td>
                                  <td bgcolor="#FFFFFF"><?php echo $height > 0 ? $opts_height[$height] : 'Unknown' ?></td>
                                </tr>
                                <tr>
                                  <td colspan="3"><div align="center"></div></td>
                                </tr>
                                <tr>
                                  <td bgcolor="#FFFFFF"><div align="right"><strong><?php echo EYE . ' ' . COLOUR ?>:</strong></div></td>
                                  <td><div align="center"><img src="../images/icons/profile.gif" width="19" height="17"></div></td>
                                  <td bgcolor="#FFFFFF"><?php echo $eye_colour > 0 ? $opts_eye_colour[$eye_colour] : 'Unknown' ?></td>
                                </tr>
                                <tr>
                                  <td colspan="3"><div align="center"></div></td>
                                </tr>
                                <tr>
                                  <td bgcolor="#FFFFFF"><div align="right"><strong><?php echo HAIR . ' ' . COLOUR ?>:</strong></div></td>
                                  <td><div align="center"><img src="../images/icons/profile.gif" width="19" height="17"></div></td>
                                  <td bgcolor="#FFFFFF"><?php echo $hair_colour > 0 ? $opts_hair_colour[$hair_colour] : 'Unknown' ?></td>
                                </tr>
                                <tr>
                                  <td colspan="3"><div align="center"></div></td>
                                </tr>
                                <tr>
                                  <td colspan="3"><div align="center"></div></td>
                                </tr>
                                <tr>
                                  <td colspan="3"><div align="center"></div></td>
                                </tr>
                                
                                <tr>
                                  <td bgcolor="#FFFFFF"><div align="right"><strong><?php echo CHILDREN ?>:</strong></div></td>
                                  <td><div align="center"><img src="../images/icons/profile.gif" width="19" height="17"></div></td>
                                  <td bgcolor="#FFFFFF"><?php echo $children > 0 ? $opts_children[$children] : 'Unknown' ?></td>
                                </tr>
                                <tr>
                                  <td colspan="3"><div align="center"></div></td>
                                </tr>
                                <tr>
                                  <td bgcolor="#FFFFFF"><div align="right"><strong><?php echo DRINK ?>:</strong></div></td>
                                  <td><div align="center"><img src="../images/icons/profile.gif" width="19" height="17"></div></td>
                                  <td bgcolor="#FFFFFF"><?php echo $drinker > 0 ? $opts_drinker[$drinker] : 'Unknown' ?></td>
                                </tr>
                                <tr>
                                  <td colspan="3"><div align="center"></div></td>
                                </tr>
                                <tr>
                                  <td bgcolor="#FFFFFF"><div align="right"><strong><?php echo SMOKE ?>:</strong></div></td>
                                  <td><div align="center"><img src="../images/icons/profile.gif" width="19" height="17"></div></td>
                                  <td bgcolor="#FFFFFF"><?php echo $smoker > 0 ? $opts_smoker[$smoker] : 'Unknown' ?></td>
                                </tr>
                                <tr bgcolor="#FFFFFF">
                                  <td colspan="3"><div align="center"></div></td>
                                </tr>
                                <tr>
                                  <td colspan="3"><div align="center"></div></td>
                                </tr>
                                <tr>
                                  <td colspan="3"><div align="center"></div></td>
                                </tr>
                                <tr>
                                  <td bgcolor="#FFFFFF"><div align="right"><strong><?php echo EDUCATION ?>:</strong></div></td>
                                  <td><div align="center"><img src="../images/icons/profile.gif" width="19" height="17"></div></td>
                                  <td bgcolor="#FFFFFF"><?php echo $education > 0 ? $opts_education[$education] : 'Unknown' ?></td>
                                </tr>
                                <tr>
                                  <td colspan="3"><div align="center"></div></td>
                                </tr>
                                <tr>
                                  <td bgcolor="#FFFFFF"><div align="right"><strong><?php echo OCCUPATION ?>:</strong></div></td>
                                  <td><div align="center"><img src="../images/icons/profile.gif" width="19" height="17"></div></td>
                                  <td bgcolor="#FFFFFF"><?php echo $occupation > 0 ? $opts_occupation[$occupation] : 'Unknown'  ?></td>
                                </tr>
                                <tr>
                                  <td colspan="3"><div align="center"></div></td>
                                </tr>
                                <tr>
                                  <td valign="top" bgcolor="#FFFFFF"><div align="right"><strong><?php echo LANGUAGE ?>:</strong></div></td>
                                  <td valign="top"><div align="center"><img src="../images/icons/profile.gif" width="19" height="17"></div></td>
                                  <td valign="top" bgcolor="#FFFFFF">
                                    <?php 
                  $first = true;
                  for ($i = 1; $i < 4; $i++) {
                    $l = "language_$i";
                    $v = "language_level_$i";
                    echo !$first ? '<br />' : '';
                    if ($$l > 0) {
                      echo $opts_language[$$l];
                      $first = false;
                      if ($$v > 0) {
                        echo ' - ' . $opts_language_level[$$v];
                      }
                      
                    }
                  }
                  echo $first ? 'Unknown' : '';
                ?></td>
                                </tr>
                                <tr>
                                  <td colspan="3"><div align="center"></div></td>
                                </tr>
                                <tr>
                                  <td colspan="3"><div align="center"></div></td>
                                </tr>
                            </table></td>
                          </tr>
                        </table></td>
                        <td width="328" valign="top"><table width="323" border="0" cellpadding="0" cellspacing="1" bgcolor="#000000">
                          <tr>
                            <td><table width="323" border="0" cellpadding="0" cellspacing="2" bgcolor="#FFFFFF">
                                <tr>
                                  <td colspan="3" bgcolor="#FFFFFF"><div align="right"><strong> </strong></div>                                    <div align="center"></div></td>
                                </tr>
                                <tr>
                                  <td width="111" bgcolor="#FFFFFF"><div align="right"><strong><?php echo HUMOUR ?> : </strong></div></td>
                                  <td width="19"><div align="center"><img src="../images/icons/profile.gif" width="19" height="17"></div></td>
                                  <td width="185" bgcolor="#FFFFFF"><?php echo $sense_humour > 0 ? $opts_sense_humour[$sense_humour] : '--------- &quot; ----------------' ?></td>
                                </tr>
                                <tr>
                                  <td bgcolor="#FFFFFF"><div align="right"><strong><?php echo PASSIONATE ?> : </strong></div></td>
                                  <td><div align="center"><img src="../images/icons/profile.gif" width="19" height="17"></div></td>
                                  <td bgcolor="#FFFFFF"><?php echo $passionate > 0 ? $opts_passionate[$passionate] : '--------- &quot; ----------------' ?></td>
                                </tr>
                                <tr>
                                  <td bgcolor="#FFFFFF"><div align="right"><strong><?php echo ROMANC ?> :</strong></div></td>
                                  <td><div align="center"><img src="../images/icons/profile.gif" width="19" height="17"></div></td>
                                  <td bgcolor="#FFFFFF"><?php echo $romantic > 0 ? $opts_romantic[$romantic] : '--------- &quot; ----------------' ?></td>
                                </tr>
                                <tr>
                                  <td bgcolor="#FFFFFF"><div align="right"><strong><?php echo GOINGOUT ?> :</strong></div></td>
                                  <td><div align="center"><img src="../images/icons/profile.gif" width="19" height="17"></div></td>
                                  <td bgcolor="#FFFFFF"><?php echo $going_out > 0 ? $opts_going_out[$going_out] : '--------- &quot; ----------------' ?></td>
                                </tr>
                                <tr>
                                  <td bgcolor="#FFFFFF"><div align="right"><strong><?php echo LIVING ?> :</strong></div></td>
                                  <td><div align="center"><img src="../images/icons/profile.gif" width="19" height="17"></div></td>
                                  <td bgcolor="#FFFFFF"><?php echo $living_quarters > 0 ? $opts_living_quarters[$living_quarters] : '--------- &quot; ----------------' ?></td>
                                </tr>
                                <tr>
                                  <td bgcolor="#FFFFFF"><div align="right"><strong><?php echo COOKING ?> :</strong></div></td>
                                  <td><div align="center"><img src="../images/icons/profile.gif" width="19" height="17"></div></td>
                                  <td bgcolor="#FFFFFF"><?php echo $cooking > 0 ? $opts_cooking[$cooking] : '--------- &quot; ----------------' ?></td>
                                </tr>
                                <tr>
                                  <td bgcolor="#FFFFFF"><div align="right"><strong><?php echo TRENDY ?> : </strong></div></td>
                                  <td><div align="center"><img src="../images/icons/profile.gif" width="19" height="17"></div></td>
                                  <td bgcolor="#FFFFFF"><?php echo $trendy > 0 ? $opts_trendy[$trendy] : '--------- &quot; ----------------' ?></td>
                                </tr>
                                <tr>
                                  <td bgcolor="#FFFFFF"><div align="right"><strong><?php echo SHOPPING ?> : </strong></div></td>
                                  <td><div align="center"><img src="../images/icons/profile.gif" width="19" height="17"></div></td>
                                  <td bgcolor="#FFFFFF"><?php echo $shopping > 0 ? $opts_shopping[$shopping] : '--------- &quot; ----------------' ?></td>
                                </tr>
                                <tr>
                                  <td colspan="3"><div align="center"></div></td>
                                </tr>
                                <tr>
                                  <td colspan="3"><div align="center"></div></td>
                                </tr>
                                <tr>
                                  <td colspan="3"><div align="center"></div></td>
                                </tr>
                                <tr bgcolor="#33CC00">
                                  <td colspan="3"><div align="left" class="style3">&nbsp;<strong><?php echo MY_FAVORITES ?></strong></div></td>
                                </tr>
                                <tr>
                                  <td colspan="3"><div align="center"></div></td>
                                </tr>
                                <tr>
                                  <td colspan="3"><div align="center"></div></td>
                                </tr>
                                <tr>
                                  <td colspan="3"><div align="center"></div></td>
                                </tr>
                                <tr>
                                  <td bgcolor="#FFFFFF"><div align="right"><strong><?php echo MUSIC ?> :</strong></div></td>
                                  <td><div align="center"><img src="../images/icons/profile.gif" width="19" height="17"></div></td>
                                  <td bgcolor="#FFFFFF"><?php echo $music > 0 ? $opts_music[$music] : '--------- &quot; ----------------' ?></td>
                                </tr>
                                <tr>
                                  <td bgcolor="#FFFFFF"><div align="right"><strong> <?php echo MOVIE ?> : </strong></div></td>
                                  <td><div align="center"><img src="../images/icons/profile.gif" width="19" height="17"></div></td>
                                  <td bgcolor="#FFFFFF"><?php echo $movies > 0 ? $opts_movies[$movies] : '--------- &quot; ----------------' ?></td>
                                </tr>
                                <tr>
                                  <td bgcolor="#FFFFFF"><div align="right"><strong><?php echo FOOD ?> :</strong></div></td>
                                  <td><div align="center"><img src="../images/icons/profile.gif" width="19" height="17"></div></td>
                                  <td bgcolor="#FFFFFF"><?php echo $food > 0 ? $opts_food[$food] : '--------- &quot; ----------------' ?></td>
                                </tr>
                                <tr>
                                  <td bgcolor="#FFFFFF"><div align="right"><strong><?php echo INDOOR_ACT ?> : </strong></div></td>
                                  <td><div align="center"><img src="../images/icons/profile.gif" width="19" height="17"></div></td>
                                  <td bgcolor="#FFFFFF"><?php echo $indoor_activity > 0 ? $opts_indoor_activity[$indoor_activity] : '--------- &quot; ----------------' ?></td>
                                </tr>
                                <tr>
                                  <td bgcolor="#FFFFFF"><div align="right"><strong><?php echo OUTDOOR_ACT ?> :</strong></div></td>
                                  <td><div align="center"><img src="../images/icons/profile.gif" width="19" height="17"></div></td>
                                  <td bgcolor="#FFFFFF"><?php echo $outdoor_activity > 0 ? $opts_outdoor_activity[$outdoor_activity] : '--------- &quot; ----------------' ?></td>
                                </tr>
                                <tr>
                                  <td bgcolor="#FFFFFF"><div align="right"><strong><?php echo TIME_OF_YEARS ?> :</strong></div></td>
                                  <td><div align="center"><img src="../images/icons/profile.gif" width="19" height="17"></div></td>
                                  <td bgcolor="#FFFFFF"><?php echo $time_year > 0 ? $opts_time_year[$time_year] : '--------- &quot; ----------------' ?></td>
                                </tr>
                                <tr>
                                  <td bgcolor="#FFFFFF"><div align="right"><strong><?php echo GETAWAY ?> :</strong></div></td>
                                  <td><div align="center"><img src="../images/icons/profile.gif" width="19" height="17"></div></td>
                                  <td bgcolor="#FFFFFF"><?php echo $getaway > 0 ? $opts_getaway[$getaway] : '--------- &quot; ----------------' ?></td>
                                </tr>
                                <tr>
                                  <td colspan="3"><div align="center"></div></td>
                                </tr>
                                <tr>
                                  <td colspan="3"><div align="center"></div></td>
                                </tr>
                                <tr>
                                  <td colspan="3"><div align="center"></div></td>
                                </tr>
                                <tr bgcolor="#FF0000">
                                  <td colspan="3"><div align="left" class="style3"><strong>&nbsp;<strong><?php echo FAVORITE_LOVE ?></strong></strong></div></td>
                                </tr>
                                <tr>
                                  <td colspan="3"><div align="center"></div></td>
                                </tr>
                                <tr>
                                  <td colspan="3" bgcolor="#FFFFFF"><div align="right"></div>                                    <div align="center">
                                    <table border="0" align="center" cellpadding="0" cellspacing="0">
                                            <tr>
                                              <td>&nbsp;</td>
                                              <td>&nbsp;</td>
                                              <td>&nbsp;</td>
                                            </tr>
                                            <?php 
                                               $i = 0;
                                               if (is_array($love_activity)) {
                                               for ($i = $i; $i < count($love_activity); $i++) { ?>
                                                 <tr bgcolor="#FFFFFF">
                                                   <td bgcolor="#FFFFFF">&nbsp;</td>
                                                   <td width="27" align="right"><img src="../images/icons/profile.gif" width="19" height="17">&nbsp;&nbsp;</td>
                                                   <td bgcolor="#FFFFFF"><?php echo $opts_love_activity[$love_activity[$i]] ?></td>
                                                 </tr>
                                            <?php }
                                            } 
                                            if ($i < 7) { 
                                              for ($i = $i; $i < 7; $i++) { ?>
                                                <tr bgcolor="#FFFFFF">
                                                  <td bgcolor="#FFFFFF">&nbsp;</td>
                                                  <td width="27" align="right"><img src="../images/icons/profile.gif" width="19" height="17">&nbsp;&nbsp;</td>
                                                  <td bgcolor="#FFFFFF">--------- &quot; ----------------</td>
                                                </tr>
                                            <?php }
                                            } ?>
                                            <tr>
                                              <td width="6">&nbsp;</td>
                                              <td width="27">&nbsp;</td>
                                              <td width="283">&nbsp;</td>
                                            </tr>
                                          </table>
                                  </div>                                    </td>
                                </tr>
                            </table></td>
                          </tr>
                        </table>
                        <br>                          <br></td>
                      </tr>
                    </table></td>
                  </tr>
            </table>
            <?php } else {
              echo "<tr><td height=\"40\" class=\"smallprint\" style=\"color:#FF0000\">$error</td><tr>"; 

            } ?>
                <table width="664" border="0" align="center" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF">
                  <tr> </tr>
                  <tr> </tr>
       
          </table>          
          </td>
        </tr>
        <tr>
          <td background="../images/footer.gif">&nbsp;</td>
        </tr>
        <?php include './includes/bottom_menu.php' ?>
    </table></td>
  </tr>
</table>


</body>
</html>
