<?php

  require '../mysqlvars.php';
  require '../lib/db.php';
  require '../lib/form_functions.php';
  
  require 'includes/session.php';

  $dbConn = connectDB($dbHost, $dbUser, $dbPass, $dbDB);
  if (!$dbConn) {
    die ('Cannot connect to database');
  }

    
  require 'includes/secure_page.php';

  require '../init.php';

  require '../licence.php';

  $have_licence = check_licence($APP->licence);
  

  include 'includes/header.php';
?>

      <tr>
        <td>
          <table class="fg">
            <tr>
              <td class="title"><?php echo $APP->name ?>  Admin Interface</td>
              
            </tr> 
          </table>
        </td>
      </tr>
      <tr>
        <td>
          <table class="nb">
            <tr>
              <td>You are logged in as <b><?php echo $_SESSION['admin_id'] ?></b> and have <b><?php echo strtoupper($_SESSION['priv']) ?></b> privileges</td>
            </tr>
          </table>
        </td>
      </tr>
      <tr>
        <td>
          <table class="fg" style="background-color:#ffffff">
            <tr>
              <td style="padding:20px">
                <table width="740" cellpadding="0">
                  <tr>
                    <td width="71"><a href="logout.php"><img src="images/logout.gif" width="50" height="50" border="0"></a></td>
                    <td width="115" style="vertical-align:middle"><a href="logout.php" class="cell" style="text-decoration:none">Logout</a></td>
                    <td width="71"><div align="center"><a class="cell" href="help.php" target="help" onClick="window.open('','help','width=400,height=400,scrollbars=1')"><img src="images/Help.gif" width="50" height="50" border="0"></a></div></td>
                    <td width="91" style="vertical-align:middle"><a class="cell" href="help.php" target="help" onClick="window.open('','help','width=400,height=400,scrollbars=1')" style="text-decoration:none">Help</a></td>
                    <td width="71"><div align="center"><a class="cell"  href="set_background.php" target="background" onClick="window.open('','background','width=490,height=300,scrollbars=1,resizable=1')"><img src="./images/change_design.gif" border="0"></a></div></td>
                    <td width="115" style="vertical-align:middle"><a class="cell"  href="set_background.php" target="background" onClick="window.open('','background','width=490,height=300,scrollbars=1,resizable=1')" style="text-decoration:none">Background</a></td>
                    <?php if ($_SESSION['priv'] == 'high') { ?>
                      <td width="71"><div align="center"><a href="config.php"><img src="images/Configuration.gif" width="50" height="50" border="0"></a></div></td>
                      <td width="115" style="vertical-align:middle"><a href="config.php" class="cell" style="text-decoration:none">Configuration</a></td>
                    <?php } 
                    else { 
                      echo '<td colspan="2">&nbsp;</td>'; 
                    } 
                    ?>
                  </tr>
                 <?php if ($have_licence && $_SESSION['priv'] == 'high') { ?>
                 <tr>
                    <td><a href="browse_admin.php"><img src="images/Administrators.gif" width="50" height="50" border="0"></a></td>
                    <td style="vertical-align:middle"><a href="browse_admin.php" class="cell" style="text-decoration:none">Administrators</a></td>
                    
                    <td><div align="center"><a href="statistics.php"><img src="images/stats.gif" width="50" height="50" border="0"></a></div></td>
                    <td style="vertical-align:middle"><a href="statistics.php" class="cell" style="text-decoration:none">Stats</a></td>
                    <td><div align="center"><a href="browse_country.php"><img src="./images/country.gif" border="0"></a></div></td>
                    <td style="vertical-align:middle"><a href="browse_country.php" class="cell" style="text-decoration:none">Countries</a></td>
                    <td><div align="center"><a href="browse_state.php"><img src="images/US_States.gif" width="50" height="50" border="0"></a></div></td>
                    <td style="vertical-align:middle"><a href="browse_state.php" class="cell" style="text-decoration:none">US States</a></td>
                  </tr>
                  <?php } ?>
                  
                  <?php if ($have_licence) { ?>
                  <tr><td colspan="8"><hr style="color:#ebebeb;height:1px"></td></tr>
                 <tr>
                    <td><a href="browse_member.php"><img src="./images/members.gif" border="0"></a></td>
                    <td style="vertical-align:middle"><a href="browse_member.php" class="cell" style="text-decoration:none">Members</a></td>
                    <td><div align="center"><a href="browse_forum.php"><img src="images/forums.gif" width="50" height="50" border="0"></a></div></td>
                    <td style="vertical-align:middle"><a href="browse_forum.php" class="cell" style="text-decoration:none">Forums</a></td>
                    <td><div align="center"><a href="browse_ban.php"><img src="./images/bans.gif" border="0"></a></div></td>
                    <td style="vertical-align:middle"><a href="browse_ban.php" class="cell" style="text-decoration:none">Bans</a></td>
                    <td><div align="center"><a href="browse_banner.php"><img src="images/banners.gif" width="50" height="50" border="0"></a></div></td>
                    <td style="vertical-align:middle"><a href="browse_banner.php" class="cell" style="text-decoration:none">Banners</a></td>
                  </tr>
                  
                 
                  <?php if ($have_licence && $_SESSION['priv'] == 'high') { ?>
                  <tr><td colspan="8"><hr style="color:#ebebeb;height:1px"></td></tr>
                  

                  <tr>
                    
                    
                    <td><a href="browse_transaction.php"><img src="./images/billing.gif" border="0"></a></td>
                    <td style="vertical-align:middle"><a href="browse_transaction.php" class="cell" style="text-decoration:none">Transactions</a></td>
                    <td>&nbsp;</td>
                    
                    
                    <td>&nbsp;</td>
                    <td>&nbsp;</td>
                    <td>&nbsp;</td>
                    <td>&nbsp;</td>
                    <td>&nbsp;</td>
                  </tr>
                  <?php } ?>
                  <?php } ?>
                </table>
              </td>
            </tr>
          </table>
        </td>
      </tr>
      
    <?php include 'includes/footer.php' ?>